

<style>


@-webkit-keyframes bake-pie {
  from {
    transform: rotate(0deg) translate3d(0, 0, 0);
  }
}

@keyframes bake-pie {
  from {
    transform: rotate(0deg) translate3d(0, 0, 0);
  }
}
.pie-chart {
  font-family: "Open Sans", Arial;
}
.pie-chart--wrapper {
  width: 300px;
    /* background: rebeccapurple; */
    /* margin: 30px auto; */
    text-align: center;
    display: inline-block;
}
.pie-chart__pie, .pie-chart__legend {
  display: inline-block;
  vertical-align: top;
}
.pie-chart__pie {
  position: relative;
  height: 200px;
  width: 200px;
  margin: 10px auto 35px;
}
.pie-chart__pie::before {
  content: "";
  display: block;
  position: absolute;
  z-index: 1;
  width: 100px;
  height: 100px;
  background: #EEE;
  border-radius: 50%;
  top: 50px;
  left: 50px;
}
.pie-chart__pie::after {
  content: "";
  display: block;
  width: 120px;
  height: 2px;
  background: rgba(0, 0, 0, 0.1);
  border-radius: 50%;
  box-shadow: 0 0 3px 4px rgba(0, 0, 0, 0.1);
  margin: 220px auto;
}

.slice {
  position: absolute;
  width: 200px;
  height: 200px;
  clip: rect(0px, 200px, 200px, 100px);
  -webkit-animation: bake-pie 1s;
          animation: bake-pie 1s;
}
.slice span {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  background-color: black;
  width: 200px;
  height: 200px;
  border-radius: 50%;
  clip: rect(0px, 200px, 200px, 100px);
}

.pie-chart__legend{
  display: block;
  list-style-type: none;
  padding: 0;
  margin: 0 auto;
  background: #FFF;
  padding: 0.75em 0.75em 0.05em;
  font-size: 13px;
  box-shadow: 1px 1px 0 #DDD, 2px 2px 0 #BBB;
  text-align: left;
  width: 65%;
}
.pie-chart__legend li {
  height: 1.25em;
  margin-bottom: 0.7em;
  padding-left: 0.5em;
  border-left: 1.25em solid black;
}
.pie-chart__legend em {
  font-style: normal;
}
.pie-chart__legend span {
  float: right;
}

.pie-charts {
  display: inline-flex;
  flex-direction: row;
}
@media (max-width: 500px) {
  .pie-charts {
    flex-direction: column;
  }
}
.hpsg{
color:<?=$chartTextcolor?>
}
.hpsg1{
 color: <?=$chartTextcolor?>
}
.poif{
  margin-top:40px;
  margin-bottom: 40px;

}
</style>

        
        <? if(!empty($profileHeatMapChart)):?>

          <div id="heatmapchart" style=" margin: 0px 30px 11px auto;" class="col-xs-12 col-sm-12"></div>

                  <?endif;?>

  <? if(!empty($profilePieChart)):?>
      


   

    <div class="col-xs-12 col-sm-12" style="margin: 0 3% 0 1%;">
    <div class="users_show poif">

  
<?php foreach($stats as $i => $s): ?>
 <? // some dazy data ---//
//if ($s['privateTime'] < 400) $s['privateTime'] = rand(170, 423) * 10 * 1; 
//if ($s['groupTime'] == 0) $s['groupTime'] = rand(170, 423) * 10 * 1; 
 ?>
  <div class="pie-charts">
    <div class="amount pie-chart--wrapper pieID--operations">
    <h3 class="center-mobile mt5 p-small"> <?= DateTime::createFromFormat('!m', $stats[$i]['month'])->format('F') ?> 20<?= $stats[$i]['year'] ?></h3>
    <a class="text-description" href="/<?= strtolower($model['site']) ?>/<?= $model['nickname'] ?>/stats/<?= $stats[$i]['year'] ?>/<?= $stats[$i]['month'] ?>">
      <div class="pie-chart">
        <div class="pie-chart__pie"><div class="slice s0-0" style="transform: rotate(-1deg) translate3d(0px, 0px, 0px);"><span style="transform: rotate(-179deg) translate3d(0px, 0px, 0px); background-color: cornflowerblue;"></span></div><div class="slice s1-0" style="transform: rotate(-1deg) translate3d(0px, 0px, 0px);"><span style="transform: rotate(-179deg) translate3d(0px, 0px, 0px); background-color: olivedrab;"></span></div><div class="slice s2-0" style="transform: rotate(-1deg) translate3d(0px, 0px, 0px);"><span style="transform: rotate(0deg) translate3d(0px, 0px, 0px); background-color: orange;"></span></div><div class="slice s2-1" style="transform: rotate(178deg) translate3d(0px, 0px, 0px);"><span style="transform: rotate(0deg) translate3d(0px, 0px, 0px); background-color: orange;"></span></div><div class="slice s2-2" style="transform: rotate(357deg) translate3d(0px, 0px, 0px);"><span style="transform: rotate(-177deg) translate3d(0px, 0px, 0px); background-color: orange;"></span></div></div>
        <div class="data_legend<?=$i?>">
        <ul class="pie-chart__legend">
          <li style="border-color: cornflowerblue;"><em class="hpsg">Freechat Session</em><span class="text-description"><?= $s['freechatTime'] ?></span></li>
          <li style="border-color: orange;"><em class="hpsg">Private Session</em><span class="text-description"><?= $s['privateTime'] ?></span></li>
          <li style="border-color: olivedrab;"><em class="hpsg">Group Session</em><span class="text-description"><?= $s['groupTime'] ?></span></li>
          <? if($s['awayTime'] > 0):?>
          <li style="border-color: purple;"><em class="hpsg">Away Session</em><span class="text-description"><?= $s['awayTime'] ?></span></li>
          <? endif;?>
        </ul>
</div>
      </div>
</a>
    </div>
   </div>
 
   <?endforeach;?>

   </div>
   <?php if ($i === count($stats) - 1 && count($stats) >= 4): ?>
      <center> 
          <button class="load-more btn ripple btn-grey block highlight-button poif">See More <?= $model['nickname']?> Stats</button>
          <button class="load-less btn ripple btn-grey block highlight-button poif" style="display: none;">Load Less</button>
        </center>
    <?php endif; ?>
</div>

<? endif;?>



<script>
  $(document).ready(function() {
    var cardsToShow = 4;
    var totalCards = $('.pieID--operations').length;
    $('.pieID--operations').slice(cardsToShow).hide();
    
    $('.load-more').on('click', function(e) {
      e.preventDefault();
      cardsToShow += 4;
      $('.pieID--operations').slice(0, cardsToShow).show();
      if (cardsToShow >= totalCards) {
        $('.load-more').hide();
      }
      $('.load-less').show();
    });
    
    $('.load-less').on('click', function(e) {
      e.preventDefault();
      cardsToShow -= 4;
      $('.pieID--operations').slice(cardsToShow).hide();
      if (cardsToShow <= 4) {
        $('.load-less').hide();
      }
      $('.load-more').show();
    });
  });
</script>




<script>


function sliceSize(dataNum, dataTotal) {
  return (dataNum / dataTotal) * 360;
}

function addSlice(id, sliceSize, pieElement, offset, sliceID, color) {
  $(pieElement).append("<div class='slice "+ sliceID + "'><span></span></div>");
  var offset = offset - 1;
  var sizeRotation = -179 + sliceSize;

  $(id + " ." + sliceID).css({
    "transform": "rotate(" + offset + "deg) translate3d(0,0,0)"
  });

  $(id + " ." + sliceID + " span").css({
    "transform"       : "rotate(" + sizeRotation + "deg) translate3d(0,0,0)",
    "background-color": color
  });
}

function iterateSlices(id, sliceSize, pieElement, offset, dataCount, sliceCount, color) {
  var
    maxSize = 179,
    sliceID = "s" + dataCount + "-" + sliceCount;

  if( sliceSize <= maxSize ) {
    addSlice(id, sliceSize, pieElement, offset, sliceID, color);
  } else {
    addSlice(id, maxSize, pieElement, offset, sliceID, color);
    iterateSlices(id, sliceSize-maxSize, pieElement, offset+maxSize, dataCount, sliceCount+1, color);
  }
}

function createPie(id) {
  var
    listData      = [],
    listTotal     = 0,
    offset        = 0,
    i             = 0,
    pieElement    = id + " .pie-chart__pie"
    dataElement   = id + " .data_legend<?=$i?>"

    color         = [
      "cornflowerblue",
      "olivedrab",
      "orange",
      "tomato",
      "crimson",
      "purple",
      "turquoise",
      "forestgreen",
      "navy"
    ];



  $(dataElement+" span").each(function() {
    listData.push(Number($(this).html()));
  });

  for(i = 0; i < listData.length; i++) {
    listTotal += listData[i];
  }

  for(i=0; i < listData.length; i++) {
    var size = sliceSize(listData[i], listTotal);
    iterateSlices(id, size, pieElement, offset, i, 0, color[i]);
    $(dataElement + " li:nth-child(" + (i + 1) + ")").css("border-color", color[i]);
    offset += size;
  }
}

function shuffle(a) {
    var j, x, i;
    for (i = a.length; i; i--) {
        j = Math.floor(Math.random() * i);
        x = a[i - 1];
        a[i - 1] = a[j];
        a[j] = x;
    }

    return a;
}

function createPieCharts() {
  createPie('.amount' );
}

createPieCharts();


</script>