

<style>
body .story-preview__preview-wrapper .preview-background-image {
    filter: blur(2px);
    object-fit: contain;
    transform: scale(1.1);
}
.story-preview__preview img.preview-background-image {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

body.landing-page #content-container.container {
    max-width: 1170px!important;
   

}

.story-preview__nick {
    font-size: 14px;
    background: rgba(0,0,0,.06);
    padding: 0 7px 4px;
    color: #fff;
    text-shadow: 0 0 5px #000, 0 0 3px rgba(0,0,0,.6);
    box-shadow: 0 0 5px 5px rgba(0,0,0,.06);
    line-height: 1.3em;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  
    position: sticky
}


tbody tr:nth-child(odd) {
    background-color: #DDE8F5;
    color: white;
    background: black;
}

#selected-models-container {
  display: flex;
  flex-wrap: wrap;
  margin-top: 10px;
}

.selected-model {
  border: 1px solid #ccc;
  padding: 10px;
  margin: 5px;
  display: flex;
  align-items: center;
}

.selected-model img {
  max-width: 100px;
  max-height: 100px;
  margin-right: 10px;
}

.selected-model button {
  background: red;
  color: white;
  border: none;
  cursor: pointer;
}


</style>




<div id="content-yield-container">
    <div class="explore clearfix">
        <div class="explore-col-left">
            <div class="explore-section clearfix stories">
                <h2>Select Models to Compare:</h2>
                <div id="slider-storybar" class="slider storybar explore-page storybar-preview first-page">
                    <div class="slider-pages-wrapper" data-storybar-target="wrapper">
                        <div class="slider-pages">
                            <div class="slider-page" style="height:200px">
                            <?php foreach ($models as $m): ?>
                       

                                <?php if (empty($m['blocked']) || !in_array($usersCountry, $m['blocked'])): ?>
                         


                                    <form id="dataForm" method="post">
   
    <input type="hidden" id="siteField" name="site" value="<?= $m['siteShortName']?>3332">
    <input type hidden id="nicknameField" name="nickname" value="<?= $m['nickname']?>">
    <input type="hidden" id="externalIdField" name="externalId" value="<?= $m['id']?>">
    <input type="hidden" id="siteShortName" name="siteShortName" value="<?= $m['siteShortName']?>">



    <button type="button" onclick="sendDataToPHP()">Send Data to PHP</button>
</form>

   
<script>
   function sendDataToPHP() {
   // var selectedSite = document.getElementById('siteField').value;
   
    // Submit the form to send data to PHP
    document.getElementById('dataForm').submit();
}

</script>

               
    

                                    <div class="story-preview__preview-wrapper">
                                       <label style="width: 100%;">
                                      
                                       
                                    <input type="checkbox" class="model-checkbox" data-id="<?= $m['id'] ?>" data-model='<?= json_encode($m); ?>'>
                                    

                               
                                  

                                        <a class="story-preview__preview">
                                            <img class="preview-background-image" src="<?= $m['imagePath'] ?><?= $m['numImages'] ?>.webp">
                                            <div class="story-preview__avatar-container">
                                                <div class="story-preview__avatar">
                                                    <img src="<?= $m['imageUrl'] ?>" class="thumb carousel-item active no-margin-shift" width="" height="">


                            

                                                </div>
                                            </div>
                                            <div class="story-preview__nick text-center"><?= $m['site']; ?></div>
                                        </a>
                                        </label>
                                    </div>
                                <?php endif; ?>
                            <?php endforeach; ?>
                            </div>
                        </div>
                        <div class="btn-container-prev" id="prev">
                            <button id="kissButton" class="btn-next kiss btn ripple"><i class="fa fa-arrow-left" aria-hidden="true"></i></button>
                        </div>
                        <div class="btn-container-next" id="next">
                            <button id="nextButton" class="btn-next btn ripple"><i class="fa fa-arrow-right" aria-hidden="true"></i></button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>


<h1>Test my models for compar</h1>

<div id="compare-button-container">
    <div id="selected-models-container">
        
    </div>
</div>

<div id="selected-model-details">

</div>



<script> 
document.addEventListener("DOMContentLoaded", function() {
    let selectedSite = '';
    let selectedNickname = '';
    let selectedExternaldId  = '';
    let selectedModelId = '';
    // let siteShortName = "";
    let siteShortNameElement = document.getElementById('siteShortName');
    console.log("siteShortNameElement:", siteShortNameElement);

    console.log("siteShortName (before assignment): " + siteShortName);
    console.log("nickname: " + selectedNickname);

    if (siteShortNameElement) {
        let siteShortName = siteShortNameElement.value;
        console.log("siteShortName (after assignment):", siteShortName);
    } else {
        console.log("siteShortNameElement not found");
    }

    if (typeof document.getElementById('siteShortName') !== 'undefined') {
        siteShortName = document.getElementById('siteShortName').value;
    }

    var models = <?= json_encode($models); ?>;
    function findModelById(modelId) {
        return models.find(model => model.id === modelId);
    }

    // Initialize an array to store selected model IDs
    const selectedModelIds = [];

    function updateSelectedModelsContainer() {
        const container = document.getElementById('selected-models-container');
        container.innerHTML = ''; // Clear the container

        selectedModelIds.forEach((modelId) => {
            const model = findModelById(modelId);
            const modelDiv = document.createElement('div');
            if (model) {
                modelDiv.classList.add('selected-model');

                modelDiv.innerHTML = `
                    <table style="width: 100%;">
                        <tr>
                            <td valign="top">
                                <img src="${model.imagePath}${model.numImages}.webp" alt="Model Image" style="width:170px;height:170px">
                            </td>
                            <td valign="top" id="showmeio" class="nop null-space">
                                <div id="dynamic-content">
                                    <h1>Model id - ${model.id}</h1>
                                    <p>Model Name - ${model.nickname}</p>
                                    <p>Model Site - ${model.site}</p>
                                    <?php
                                        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
                                            $siteShortName = $_POST['siteShortName']; // Updated siteShortName value
                                            $nickname = $_POST['nickname']; // Updated nickname value

                                            
                                            $modelon = getWebcams(['site' => $siteShortName, 'nickname' => $nickname]);
print_r($modelon);
                                       
    
    $embed =  Avos\User\encodeChatEmbed($modelon[0]);
   
    echo $embed;

                                         



/*
                                            // Retrieve the updated values of site and nickname from the POST data
                                            $siteShortName = $_POST['siteShortName']; // Updated siteShortName value
                                            $nickname = $_POST['nickname']; // Updated nickname value

                                             // Output the values for testing purposes
                                            echo "siteShortName: " . $siteShortName . "<br>";
                                            echo "nickname000000: " . $nickname . "<br>";

                                            // Update $model['site'] and $model['nickname'] with the retrieved values
                                            $model['site'] = $siteShortName;
                                            $model['nickname'] = $nickname;

                                            // Now, you can use $model['site'] and $model['nickname'] as needed
                                            echo Avos\User\encodeChatEmbed($model);
                                            */
                                        }
                                    ?>

                                    
                                </div>
                            </td>
                        </tr>
                    </table>
                `;

                const removeButton = document.createElement('button');
                removeButton.textContent = 'Remove';
                removeButton.addEventListener('click', function () {
                    removeModel(modelId);
                });
                modelDiv.appendChild(removeButton);
                container.appendChild(modelDiv);
            }
        });
    }

    // Function to find a model by its ID in the models array
    function findModelById(modelId) {
        return models.find(model => model.id === modelId);
    }

    // Function to remove a model from the selected models array
    function removeModel(modelId) {
        const index = selectedModelIds.indexOf(modelId);
        if (index !== -1) {
            selectedModelIds.splice(index, 1);
            updateSelectedModelsContainer();
        }
    }

    // Rest of your code...

    // Rest of your code...



    
   
const checkboxes = document.querySelectorAll('.model-checkbox');
checkboxes.forEach((checkbox) => {
    checkbox.addEventListener('change', function () {
        const modelId = this.getAttribute('data-id');
        if (this.checked) {
            selectedModelIds.push(modelId); // Add the model ID to the selected model IDs array

            // Fetch the selected model's data
            const selectedModel = findModelById(modelId);

            // Update the JavaScript variables with the selected model's data
            selectedSite = selectedModel.siteShortName;
            selectedNickname = selectedModel.nickname;

        } else {
            const index = selectedModelIds.indexOf(modelId);
            
            if (index !== -1) {
                selectedModelIds.splice(index, 1);
            }
        }
        updateSelectedModelsContainer(); // Update the display
    });
});








});


// ...

/*
  const checkboxes = document.querySelectorAll('.model-checkbox');
checkboxes.forEach((checkbox) => {
    checkbox.addEventListener('change', function () {
        const modelId = this.getAttribute('data-id');
        if (this.checked) {
            selectedModelIds.push(modelId); // Add the model ID to the selected model IDs array
            // Update the selected site and nickname when a model is selected
            const selectedModel = findModelById(modelId);
            selectedSite = selectedModel.siteShortName;
            selectedNickname = selectedModel.nickname;

            // Dynamically set siteShortName based on the selected model
            siteShortName = selectedSite;

            // Set the siteShortName field in the form to match the JavaScript variable
            document.getElementById('siteShortName').value = siteShortName;

            // Debug: Output siteShortName (after assignment)
            console.log("siteShortName (after assignment): " + siteShortName); // Log the value
        } else {
            const index = selectedModelIds.indexOf(modelId);
            if (index !== -1) {
                selectedModelIds.splice(index, 1); // Remove the model ID from the selected model IDs array
                // Clear the selected site and nickname when a model is deselected
                selectedSite = '';
                selectedNickname = '';

                // If no models are selected, you might want to set a default value
              //  siteShortName = "default"; // Set a default value when no models are selected

                // Set the siteShortName field in the form to match the JavaScript variable
                document.getElementById('siteShortName').value = siteShortName;

                // Debug: Output siteShortName (after assignment)
                console.log("siteShortName (after assignment): " + siteShortName); // Log the value
            }
        } 

        updateSelectedModelsContainer(); // Update the display
    });
});
*/

// ... (rest of your code)







</script>













<script>




(function() {
    // next/prev scrolling

    let thumbCount = <?= $discoverPageThumbs ?>;
    let fullWidth = $('.contain').width();
    let thumbWidth = 125;
    let scrollPixels = ((thumbWidth * (thumbCount + 1.5)) - fullWidth) / 5; // Assuming 5 dots per page
    let scrollWidth = 200;
    let isAnimating = false; // Track whether an animation is in progress

    $('#nextButton').click(function() {
        if (!isAnimating) {
            isAnimating = true;
            let $slider = $(this).parent().parent().parent().find('.slider-pages-wrapper');
            $slider.animate({ scrollLeft: $slider.scrollLeft() + scrollWidth }, function() {
                // Animation complete, re-enable the button
                isAnimating = false;
            });
        }
    });

    $('#kissButton').click(function() {
        if (!isAnimating) {
            isAnimating = true;
            let $slider = $(this).parent().parent().parent().find('.slider-pages-wrapper');
            $slider.animate({ scrollLeft: $slider.scrollLeft() - scrollWidth }, function() {
                // Animation complete, re-enable the button
                isAnimating = false;
            });
        }
    });

    // No dots-related code

})();




</script>







<!-- old code-->




































<!--
<?


session_start(); // Start or resume the session

// Initialize selected models in the session if it doesn't exist
if (!isset($_SESSION['selected_models'])) {
    $_SESSION['selected_models'] = [];
}

echo "Selected Models in Session: ";
print_r($_SESSION['selected_models']);

// Check if form was submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['selected_models'])) {
        // Store selected model IDs in the session as an array
        $selected_models = $_POST['selected_models'];

        // Remove duplicates from the selected models array
        $selected_models = array_unique($selected_models);

        // Update the session with the selected models
        $_SESSION['selected_models'] = $selected_models;
    }
}

// Handle model removal
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['remove_model'])) {
    $model_to_remove = $_POST['remove_model'];

    // Get the current selected models from the session
    $selected_models = $_SESSION['selected_models'];

    // Find and remove the model to remove from the selected models
    $index = array_search($model_to_remove, $selected_models);
    if ($index !== false) {
        unset($selected_models[$index]);
        $_SESSION['selected_models'] = array_values($selected_models); // Reindex the array
    }
}

// Reset selected models when the page is refreshed
if (!empty($_GET['reset'])) {
    unset($_SESSION['selected_models']);
    header("Location: ".$_SERVER['PHP_SELF']); // Redirect to the same page to clear the query parameter
    exit();
}

// Retrieve selected model IDs from the session
$selectedModels = isset($_SESSION['selected_models']) ? $_SESSION['selected_models'] : [];
?>


      <div id="content-yield-container">
<div class="explore clearfix">
<div class="explore-col-left">
    <div class="explore-section clearfix stories">



    <h2>Select Models to Compare:</h2>
<div id="slider-storybar" class="slider storybar explore-page storybar-preview first-page">
  <div class="slider-pages-wrapper" data-storybar-target="wrapper">

   
  <form id="compare-form" action="" method="post">

<div class="slider-pages" >
      <div class="slider-page" >

    <?php foreach ($models as $m): ?>
        <?php if (empty($m['blocked']) || !in_array($usersCountry, $m['blocked'])): ?>
            <label>
            <input type="checkbox" class="custom-checkbox" id="checkbox1" name="selected_models[]" value="<?php echo $m['id']; ?>" data-nickname="<?= $m['nickname']; ?>">

            
                      
         <div class="story-preview__preview-wrapper">
  <a class="story-preview__preview" >
    <img class="preview-background-image" src="<?= $m['imagePath'] ?><?= $m['numImages'] ?>.webp">
    <div class="story-preview__avatar-container">
      <div class="story-preview__avatar">
        <img src="<?= $m['imageUrl'] ?>" class="thumb carousel-item active no-margin-shift" width="" height="">
      </div>
    </div>

    <div class="story-preview__nick text-center"><?php echo $m['nickname']; ?></div>
   
</a>

</div>


            </label>
        <?php endif; ?>
    <?php endforeach; ?>

 

</div>

</div>
<input type="hidden" name="compare_form_submitted" value="1">

     
</form>  

  
<div class="btn-container-prev" id="prev">
    <button id="kissButton" class="btn-next kiss btn ripple"><i class="fa fa-arrow-left" aria-hidden="true"></i></button>
</div>

<div class="btn-container-next" id="next">
    <button id="nextButton" class="btn-next btn ripple"><i class="fa fa-arrow-right" aria-hidden="true"></i></button>
</div>

</div>
    </div>
</div>



<div id="compare-button-container">
    <button class="btn btn-green continue-playing-button" id="compare-button" onclick="submitCompareForm()">Compare</button>
     <div id="selected-models-container"></div>

</div>




<script>
    function submitCompareForm() {
        // Trigger the form submission of the "compare-form" when the external button is clicked
        document.getElementById('compare-form').submit();
    }
</script>





<h2>Selected Models for Comparison:</h2>
<?php foreach ($models as $m): ?>
    <?php if (in_array($m['id'], $selectedModels)): ?>
        <p>
            <?php echo $m['nickname']; ?>
     
        <button onclick="removeModel(<?php echo $m['id']; ?>)">Remove</button>
    </p>
    <?php endif; ?>
<?php endforeach; ?>

<script>

// Function to update the displayed models
function updateSelectedModelsDisplay(selectedModels) {
    var selectedModelsContainer = document.getElementById('selected-models-container');
    selectedModelsContainer.innerHTML = "";

    selectedModels.forEach(function (modelId) {
        var checkbox = document.querySelector('input[name="selected_models[]"][value="' + modelId + '"]');
        var nickname = checkbox.getAttribute('data-nickname');

        var modelElement = document.createElement('p');
        modelElement.innerHTML = nickname + ' <button onclick="removeModel(' + modelId + ')">Remove</button>';
        selectedModelsContainer.appendChild(modelElement);
    });
}

function removeModel(modelId) {
    // Remove the model from the DOM
    var modelElement = document.querySelector('p button[onclick="removeModel(' + modelId + ')"]').parentNode;
    modelElement.parentNode.removeChild(modelElement);

    // Retrieve the selected models from the session
    var selectedModels = selectedModelIds;

    // Check if the model ID is in the selected models array
    var index = selectedModels.indexOf(modelId);
    if (index !== -1) {
        selectedModels.splice(index, 1);

        // Update the session with the modified selected models
        updateSession(selectedModels);
    }
}

function addNewModel(modelId) {
    // Retrieve the selected models from the session
    var selectedModels = selectedModelIds;

    // Check if the modelId is not already in the selectedModels array
    if (selectedModels.indexOf(modelId) === -1) {
        selectedModels.push(modelId); // Add the new model ID to the selected models array

        // Update the session with the modified selected models
        updateSession(selectedModels);
    }
}

function updateSession(selectedModels) {
    // Update the session with the selected models
    fetch('update_session.php', {
        method: 'POST',
        body: JSON.stringify(selectedModels),
        headers: {
            'Content-Type': 'application/json'
        }
    }).then(function (response) {
        // Handle the response as needed
        // Update the displayed models
        updateSelectedModelsDisplay(selectedModels);
    });
}

// Initialize the selected model IDs
var selectedModelIds = <?php echo json_encode($selectedModels); ?>;

function updateSelectedModelIds() {
    selectedModelIds = Array.from(document.querySelectorAll('input[name="selected_models[]"]:checked')).map(function (checkbox) {
        return checkbox.value;
    });
}

var checkboxes = document.querySelectorAll('input[name="selected_models[]"]');
checkboxes.forEach(function (checkbox) {
    checkbox.addEventListener('change', function () {
        updateSelectedModelIds();
    });
});

updateSelectedModelIds();
</script>


</div>
</div>
</div>
</div>




<script>




(function() {
    // next/prev scrolling

    let thumbCount = <?= $discoverPageThumbs ?>;
    let fullWidth = $('.contain').width();
    let thumbWidth = 125;
    let scrollPixels = ((thumbWidth * (thumbCount + 1.5)) - fullWidth) / 5; // Assuming 5 dots per page
    let scrollWidth = 200;
    let isAnimating = false; // Track whether an animation is in progress

    $('#nextButton').click(function() {
        if (!isAnimating) {
            isAnimating = true;
            let $slider = $(this).parent().parent().parent().find('.slider-pages-wrapper');
            $slider.animate({ scrollLeft: $slider.scrollLeft() + scrollWidth }, function() {
                // Animation complete, re-enable the button
                isAnimating = false;
            });
        }
    });

    $('#kissButton').click(function() {
        if (!isAnimating) {
            isAnimating = true;
            let $slider = $(this).parent().parent().parent().find('.slider-pages-wrapper');
            $slider.animate({ scrollLeft: $slider.scrollLeft() - scrollWidth }, function() {
                // Animation complete, re-enable the button
                isAnimating = false;
            });
        }
    });

    // No dots-related code

})();




</script>
-->