<!DOCTYPE html>
<html lang="en">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
    <link href="https://fonts.googleapis.com/css2?family=Baloo+Da+2&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<head>
<title><?= $title ?></title>
<? if (!empty($description)): ?><meta name="description" content="<?= $description ?>"><? endif; ?>
<? if (!empty($keywords)): ?><meta name="keywords" content="<?= $keywords ?>"><? endif ?>
<? if (!empty($previewImg)): ?><meta property="og:image" content="<?= $previewImg ?>" /><? endif; ?>
<? if (!empty($previewImgWidth)): ?><meta property="og:image:width" content="<?= $previewImgWidth ?>" /><? endif; ?>
<? if (!empty($previewImgHeight)): ?><meta property="og:image:height" content="<?= $previewImgHeight ?>" /><? endif; ?>
<link href="https://fonts.googleapis.com/css2?family=Baloo+Da+2&display=swap" rel="stylesheet">
<!-- Core CSS -->
<link href="/assets/css/style2.css" rel="stylesheet" type="text/css" />
<!-- model info css-->
<link href="/assets/css/model-grid.css" rel="stylesheet" type="text/css" />
<!-- Core JavaScript -->
<script src="/assets/js/all.js" type="text/javascript"></script>
<script src="/assets/js/resizer.js" type="text/javascript"></script>
<script>
// chatembed resize

$(function() {
	//resizerSetup('chatembed');
	resizeSidebar();
});

/*
// set height of div to full page height on page load
$(document).ready(function() {
        $('#sidebar').height($(document).height());
});

// set height of div to full page height on browser resize
$(window).bind('resize', function() {
        $('#sidebar').height($(document).height());
});
 */
</script>

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-218074564-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-218074564-1');
</script>
</head>
<body cz-shortcut-listen="true" style="">
  <header>
<!--
    <div class="top-header">
      <ul class="no-bullet">
      </ul>
    </div>
-->
    <div class="primary-header">
      <div class="ph-col col-logo">
        <div class="logo-wrapper">
          <a href="javascript:void(0)" class="mobile-menu">
            <svg height="32px" id="Layer_1" style="enable-background:new 0 0 32 32;" version="1.1" viewBox="0 0 32 32" width="32px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M4,10h24c1.104,0,2-0.896,2-2s-0.896-2-2-2H4C2.896,6,2,6.896,2,8S2.896,10,4,10z M28,14H4c-1.104,0-2,0.896-2,2  s0.896,2,2,2h24c1.104,0,2-0.896,2-2S29.104,14,28,14z M28,22H4c-1.104,0-2,0.896-2,2s0.896,2,2,2h24c1.104,0,2-0.896,2-2  S29.104,22,28,22z"/></svg>
          </a>
          <div class="logo">
            <a href="/">
              <img id="logo-icon" src="/assets/images/TEENPVT_LOGO.png" alt="Logo" />
            </a>
          </div>
        </div>
        <!--<div class="online-status bold text-white">100,231 Models Online</div>-->
      </div>
      <div class="ph-col col-search">
        <div class="search-group">
          <form id="search-box-top" action="/cams/" target="_self">
            <input id="search_models_top" autocomplete="off" type="text" class="search-txt" name="q" placeholder="Search by keyword">
            <div id="container-search"></div>
            <button class="search-submit">
              <svg enable-background="new 0 0 50 50" height="50px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="50px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M38.084,7.398c-8.531-8.53-22.36-8.53-30.89,0c-8.53,8.53-8.53,22.36,0,30.89  c7.331,7.33,18.566,8.341,26.998,3.074l8.132,8.13c1.757,1.756,4.604,1.756,6.359,0c1.757-1.757,1.757-4.603,0-6.357l-8.002-8  C46.486,26.63,45.629,14.943,38.084,7.398z M32.632,32.836c-5.518,5.52-14.467,5.52-19.986,0c-5.519-5.519-5.519-14.468,0-19.988  c5.519-5.518,14.468-5.518,19.986,0C38.154,18.368,38.154,27.317,32.632,32.836z"/></svg>
            </button>
          </form>
        </div>
      </div>
      <div class="ph-col col-action">
        <button type="button" class="btn btn-search-mobile">
          <svg enable-background="new 0 0 50 50" height="50px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="50px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M38.084,7.398c-8.531-8.53-22.36-8.53-30.89,0c-8.53,8.53-8.53,22.36,0,30.89  c7.331,7.33,18.566,8.341,26.998,3.074l8.132,8.13c1.757,1.756,4.604,1.756,6.359,0c1.757-1.757,1.757-4.603,0-6.357l-8.002-8  C46.486,26.63,45.629,14.943,38.084,7.398z M32.632,32.836c-5.518,5.52-14.467,5.52-19.986,0c-5.519-5.519-5.519-14.468,0-19.988  c5.519-5.518,14.468-5.518,19.986,0C38.154,18.368,38.154,27.317,32.632,32.836z"/></svg>
        </button>
        <a rel="nofollow" href="" target="_blank" class="btn btn-account btn-theme text-uppercase">Create Free Account</a>
      </div>
    </div>
    <div class="menu-header">
      <ul class="main-nav no-bullet">

        <li class="has-items ">
          <a href="#">Sites</a>
          <ul>
            <li><a href="/chaturbate-teencams/">Chaturbate</a></li>
            <li><a href="/bongacams-teencams/">Bongacams</a></li>
            <li><a href="/stripchat-teencams/">Stripchat</a></li>
          </ul>
	</li>

	<li><a href="/latest-videos/">Videos</a></li>
	<li><a href="/girls/">Girls</a></li>
	<li><a href="/guys/">Guys</a></li>
	<li><a href="/trans/">Trans</a></li>
	<li><a href="/couples/">Couples</a></li>
	<li><a href="/topteen/">Top teen</a></li>
	<li><a href="/freechat/">Free chat</a></li>

      </ul>
    </div>
  </header>
  <div class="main" id="main">
    <div class="sidebar" id="sidebar" style="top:96px; overflow-y: scroll;">
      <div class="widget widget-accordian">
        <ul class="no-bullet">
          <li data-filter="sorting">
            <div data-selected="all" class="item">
              <a href="#">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><!--! Font Awesome Free 6.0.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) Copyright 2022 Fonticons, Inc. --><path d="M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224zM292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.5 136.8C145.9 477.3 152.1 480 160 480c7.053 0 14.12-2.703 19.53-8.109l132.3-136.8C329.2 317.8 316.9 288 292.3 288z"/></svg>
                <span>Sort</span>
              </a>
              <div class="toggle">
                <svg viewBox="0 0 96 96" xmlns="https://www.w3.org/2000/svg"><path d="M81.8457,25.3876a6.0239,6.0239,0,0,0-8.45.7676L48,56.6257l-25.396-30.47a5.999,5.999,0,1,0-9.2114,7.6879L43.3943,69.8452a5.9969,5.9969,0,0,0,9.2114,0L82.6074,33.8431A6.0076,6.0076,0,0,0,81.8457,25.3876Z"/></svg>
              </div>
            </div>
            <ul class="sub-items">
	      <li><a data-type="sorting" data-val="all" href="#">All</a></li>
	      <li><a data-type="sorting" data-val="age" href="#">Age</a></li>
	      <li><a data-type="sorting" data-val="newest" href="#">Newest</a></li>
	      <li><a data-type="sorting" data-val="oldest" href="#">Oldest</a></li>
	      <li><a data-type="sorting" data-val="viewers" href="#">Most Viewers</a></li>
            </ul>
	  </li>

          <li data-filter="category">
            <div data-selected="all" class="item">
              <a href="#">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--! Font Awesome Free 6.0.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) Copyright 2022 Fonticons, Inc. --><path d="M16 96C16 69.49 37.49 48 64 48C90.51 48 112 69.49 112 96C112 122.5 90.51 144 64 144C37.49 144 16 122.5 16 96zM480 64C497.7 64 512 78.33 512 96C512 113.7 497.7 128 480 128H192C174.3 128 160 113.7 160 96C160 78.33 174.3 64 192 64H480zM480 224C497.7 224 512 238.3 512 256C512 273.7 497.7 288 480 288H192C174.3 288 160 273.7 160 256C160 238.3 174.3 224 192 224H480zM480 384C497.7 384 512 398.3 512 416C512 433.7 497.7 448 480 448H192C174.3 448 160 433.7 160 416C160 398.3 174.3 384 192 384H480zM16 416C16 389.5 37.49 368 64 368C90.51 368 112 389.5 112 416C112 442.5 90.51 464 64 464C37.49 464 16 442.5 16 416zM112 256C112 282.5 90.51 304 64 304C37.49 304 16 282.5 16 256C16 229.5 37.49 208 64 208C90.51 208 112 229.5 112 256z"/></svg>
                <span>Category</span>
              </a>
            <div class="toggle">
                <svg viewBox="0 0 96 96" xmlns="https://www.w3.org/2000/svg"><path d="M81.8457,25.3876a6.0239,6.0239,0,0,0-8.45.7676L48,56.6257l-25.396-30.47a5.999,5.999,0,1,0-9.2114,7.6879L43.3943,69.8452a5.9969,5.9969,0,0,0,9.2114,0L82.6074,33.8431A6.0076,6.0076,0,0,0,81.8457,25.3876Z"/></svg>
            </div>
          </div>
	  <ul class="sub-items">
            <? foreach ($cats as $c): ?>
	    <li><a data-type="category" data-val="all"><?= ucfirst($c['category']) ?></a></li>
            <? endforeach; ?>
	  </ul>
        </li>

          <li data-filter="tag">
            <div data-selected="all" class="item">
              <a href="#">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><!--! Font Awesome Free 6.0.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) Copyright 2022 Fonticons, Inc. --><path d="M416 127.1h-58.23l9.789-58.74c2.906-17.44-8.875-33.92-26.3-36.83c-17.53-2.875-33.92 8.891-36.83 26.3L292.9 127.1H197.8l9.789-58.74c2.906-17.44-8.875-33.92-26.3-36.83c-17.53-2.875-33.92 8.891-36.83 26.3L132.9 127.1H64c-17.67 0-32 14.33-32 32C32 177.7 46.33 191.1 64 191.1h58.23l-21.33 128H32c-17.67 0-32 14.33-32 32c0 17.67 14.33 31.1 32 31.1h58.23l-9.789 58.74c-2.906 17.44 8.875 33.92 26.3 36.83C108.5 479.9 110.3 480 112 480c15.36 0 28.92-11.09 31.53-26.73l11.54-69.27h95.12l-9.789 58.74c-2.906 17.44 8.875 33.92 26.3 36.83C268.5 479.9 270.3 480 272 480c15.36 0 28.92-11.09 31.53-26.73l11.54-69.27H384c17.67 0 32-14.33 32-31.1c0-17.67-14.33-32-32-32h-58.23l21.33-128H416c17.67 0 32-14.32 32-31.1C448 142.3 433.7 127.1 416 127.1zM260.9 319.1H165.8L187.1 191.1h95.12L260.9 319.1z"/></svg>
                <span>Tag</span>
              </a>
            <div class="toggle">
                <svg viewBox="0 0 96 96" xmlns="https://www.w3.org/2000/svg"><path d="M81.8457,25.3876a6.0239,6.0239,0,0,0-8.45.7676L48,56.6257l-25.396-30.47a5.999,5.999,0,1,0-9.2114,7.6879L43.3943,69.8452a5.9969,5.9969,0,0,0,9.2114,0L82.6074,33.8431A6.0076,6.0076,0,0,0,81.8457,25.3876Z"/></svg>
            </div>
          </div>
	  <ul class="sub-items">
            <? foreach ($tags as $t): ?>
	    <li><a data-type="tag" data-val="all"><?= ucfirst($t['tag']) ?></a></li>
            <? endforeach; ?>
	  </ul>
        </li>

          <li data-filter="gender">
            <div data-selected="all" class="item">
              <a href="#">
                <svg aria-hidden="true" data-prefix="fas" data-icon="female" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 512" class="svg-inline--fa fa-female fa-w-8 fa-7x"><path d="M128 0c35.346 0 64 28.654 64 64s-28.654 64-64 64c-35.346 0-64-28.654-64-64S92.654 0 128 0m119.283 354.179l-48-192A24 24 0 0 0 176 144h-11.36c-22.711 10.443-49.59 10.894-73.28 0H80a24 24 0 0 0-23.283 18.179l-48 192C4.935 369.305 16.383 384 32 384h56v104c0 13.255 10.745 24 24 24h32c13.255 0 24-10.745 24-24V384h56c15.591 0 27.071-14.671 23.283-29.821z" class=""></path></svg>
                <span>Gender</span>
              </a>
            <div class="toggle">
              <svg viewBox="0 0 96 96" xmlns="https://www.w3.org/2000/svg"><path d="M81.8457,25.3876a6.0239,6.0239,0,0,0-8.45.7676L48,56.6257l-25.396-30.47a5.999,5.999,0,1,0-9.2114,7.6879L43.3943,69.8452a5.9969,5.9969,0,0,0,9.2114,0L82.6074,33.8431A6.0076,6.0076,0,0,0,81.8457,25.3876Z"/></svg>
            </div>
          </div>
          <ul class="sub-items">
	    <li><a data-type="gender" data-val="all" href="#">All</a></li>
	    <li><a data-type="gender" data-val="f" href="#">Female</a></li>
	    <li><a data-type="gender" data-val="m" href="#">Male</a></li>
	    <li><a data-type="gender" data-val="c" href="#">Couple</a></li>
	    <li><a data-type="gender" data-val="s" href="#">Transgender</a></li>
	  </ul>
	</li>

<!--
        <li data-filter="age">
          <div data-selected="all" class="item">
            <a href="#">
              <svg version="1.1" id="Capa_1" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 17 17" style="enable-background:new 0 0 17 17;" xml:space="preserve">
                <g><g>
                  <path d="M3.669,3.71h0.696c0.256,0,0.464-0.165,0.464-0.367V0.367C4.829,0.164,4.621,0,4.365,0H3.669
                        C3.414,0,3.206,0.164,3.206,0.367v2.976C3.205,3.545,3.413,3.71,3.669,3.71z"/>
                  <path d="M10.95,3.71h0.696c0.256,0,0.464-0.165,0.464-0.367V0.367C12.11,0.164,11.902,0,11.646,0H10.95
                        c-0.256,0-0.463,0.164-0.463,0.367v2.976C10.487,3.545,10.694,3.71,10.95,3.71z"/>
                  <path d="M14.512,1.42h-1.846v2.278c0,0.509-0.458,0.923-1.021,0.923h-0.696
                        c-0.563,0-1.021-0.414-1.021-0.923V1.42H5.384v2.278c0,0.509-0.458,0.923-1.021,0.923H3.669c-0.562,0-1.02-0.414-1.02-0.923V1.42
                        H0.803c-0.307,0-0.557,0.25-0.557,0.557V14.76c0,0.307,0.25,0.555,0.557,0.555h13.709c0.308,0,0.557-0.248,0.557-0.555V1.977
                        C15.069,1.67,14.82,1.42,14.512,1.42z M14.316,9.49v4.349c0,0.096-0.078,0.176-0.175,0.176H7.457H1.174
                        c-0.097,0-0.175-0.08-0.175-0.176V10.31V5.961c0-0.096,0.078-0.176,0.175-0.176h6.683h6.284l0,0c0.097,0,0.175,0.08,0.175,0.176
                        V9.49z"/>
                  <rect x="2.327" y="8.93" width="1.735" height="1.736"/>
                  <rect x="5.28" y="8.93" width="1.735" height="1.736"/>
                  <rect x="8.204" y="8.93" width="1.734" height="1.736"/>
                  <rect x="11.156" y="8.93" width="1.736" height="1.736"/>
                  <rect x="2.363" y="11.432" width="1.736" height="1.736"/>
                  <rect x="5.317" y="11.432" width="1.735" height="1.736"/>
                  <rect x="8.241" y="11.432" width="1.734" height="1.736"/>
                  <rect x="11.194" y="11.432" width="1.735" height="1.736"/>
                  <rect x="8.215" y="6.47" width="1.735" height="1.735"/>
                  <rect x="11.17" y="6.47" width="1.734" height="1.735"/>
              </g></g>
            </svg>
            <span>Age</span>
          </a>
          <div class="toggle">
            <svg viewBox="0 0 96 96" xmlns="https://www.w3.org/2000/svg"><path d="M81.8457,25.3876a6.0239,6.0239,0,0,0-8.45.7676L48,56.6257l-25.396-30.47a5.999,5.999,0,1,0-9.2114,7.6879L43.3943,69.8452a5.9969,5.9969,0,0,0,9.2114,0L82.6074,33.8431A6.0076,6.0076,0,0,0,81.8457,25.3876Z"/></svg>
          </div>
        </div>
        <ul class="sub-items">
          <li><a data-type="age" data-val="all" href="#">All</a></li>
          <li><a data-type="age" data-val="18-19" href="#">18-19</a></li>
          <li><a data-type="age" data-val="20-24" href="#">20-25</a></li>
          <li><a data-type="age" data-val="25-29" href="#">25-30</a></li>
          <li><a data-type="age" data-val="35-39" href="#">30-40</a></li>
          <li><a data-type="age" data-val="40-44" href="#">40-50</a></li>
          <li><a data-type="age" data-val="50-99" href="#">50+</a></li>
        </ul>
      </li>
-->
    </li>
  </ul>
</div>

      <div class="widget widget-tabs">
	<div class="widget-content">
<!--
          <div class="tab-nav">
            <a href="#tab-girls" class="active">Girls</a>
            <a href="#tab-guys">Guys </a>
          </div>

                  <? if (!empty($url['args']['tag']) && $url['args']['tag'] == $t['tag']): ?></><? endif; ?>
-->

          <div class="tab-content">
            <div class="tab-block active" id="tab-girls">
	      <ul class="no-bullet">

	      <? if (!empty($url['args']['category'])): ?>
                <h3><?= $url['args']['category'] ?> #tags</h3>
		<? foreach ($catstags[ $url['args']['category'] ] as $t): if ($t['online'] > 0): ?>
		<li>
                  <? if (!empty($url['args']['tag']) && $url['args']['tag'] == $t['tag']): ?><b><? endif; ?>
		  <a href="<?= encodeUrl('webcamsCategoryTag', $t) ?>"><?= $t['tag'] ?> (<?= $t['online'] ?>)</a>
                  <? if (!empty($url['args']['tag']) && $url['args']['tag'] == $t['tag']): ?></b><? endif; ?>
                </li>
		<? endif; endforeach; ?>

	      <? elseif ($url['name'] == 'webcamsTag'): ?>
                <h3>#tags</h3>
		<? foreach ($tags as $t): if ($t['online'] > 0): ?>
		<li>
                  <? if ($url['args']['tag'] == $t['tag']): ?><b><? endif; ?>
		  <a href="<?= encodeUrl('webcamsTag', $t) ?>"><?= $t['tag'] ?> (<?= $t['online'] ?>)</a>
                  <? if ($url['args']['tag'] == $t['tag']): ?></b><? endif; ?>
                </li>
	        <? endif; endforeach; ?>

	      <? else: ?>
                <h3>#tags</h3>
		<? foreach ($tags as $t): if ($t['online'] > 0): ?>
		<li>
		  <a href="<?= encodeUrl('webcamsTag', $t) ?>"><?= $t['tag'] ?> (<?= $t['online'] ?>)</a>
                </li>
	        <? endif; endforeach; ?>
              <? endif; ?>
              </ul>
	    </div>
<!--
            <div class="tab-block " id="tab-guys">
              <ul class="no-bullet">
                <li><a href="#">same tags </a></li>
              </ul>
	    </div>
-->
          </div>
        </div>
      </div>
<!--
      <div class="widget widget-filter no-divider">
        <div class="widget-title">
          <h5>Popular Tags</h5>
        </div>
        <div class="widget-content">
          <ul class="no-bullet">
            <li>
	      <div class="counter-item">
                <a href="#">dancing</a><span class="count">744</span>
	      </div>
	    </li>
	    <li>
	      <div class="counter-item">
                <a href="#">foo</a><span class="count">2744</span>
	      </div>
	    </li>
	    <li>
	      <div class="counter-item">
                <a href="#">Avos</a><span class="count">300</span>
	      </div>
	    </li>
          </ul>
        </div>
      </div>
      <div class="placement-rect text-center"></div>
-->
    </div>
    <?= $page_contents ?>
  </div>
<footer>
  <div class="container">
    <div class="footer-wrapper">
<!--
      <div class="footer-column left-column">
        <div class="footer-logo">
          <a onclick="$('html,body').animate({scrollTop: 0 }, 1000);"  href="javascript:void(0);">
            <img id="logo-icon" src="/assets/images/EXPOSED_ANAL_LOGO_PNG2.png" alt="Logo Icon" />
          </a>
        </div>
      </div>
-->
      <div class="footer-column"><a href="/page/terms">Terms & Conditions</a></div>
      <div class="footer-column"><a href="/page/privacy">Privacy Policy</a></div>
      <div class="footer-column"><a href="/sitemap.xml">Sitemap</a></div>
      <div class="footer-column"><a href="https://www.rtalabel.org"/target="_new">RTA</a></div>
      <div class="footer-column"><a href="/page/dmca">DMCA</a></div>
      <div class="footer-column"><a href="/page/2257">2257</a></div>
      <div class="footer-column"><a href="mailto:foo@bar.com">Contact Us</a></div>
<!--
      <div class="footer-column">
        <div class="footer-title">
          <h5>Friends</h5>
        </div>
        <ul class="no-bullet">
          <li><a href="#">link</a></li>
          <li><a href="#">link</a></li>
        </ul>
      </div>
      <div class="footer-column">
        <div class="footer-title">
          <h5>More</h5>
        </div>
        <ul class="no-bullet">
          <li><a href="#"> same link</a></li>
          <li><a href="#">  link</a></li>
        </ul>
      </div>
     <div class="footer-column right-column">
       <div class="approval-logo">
         <p style="margin-top: 25px; text-align: center;">
           <img src="https://static-assets.highwebmedia.com/images/badges/safelabeling.gif">
           <img src="https://static-assets.highwebmedia.com/images/badges/88x31_RTA-5042-1996-1400-1577-RTA_a.gif" style="margin: 0 10px;">
           <img src="https://static-assets.highwebmedia.com/images/badges/ApprovedASACPmember.gif">
         </p>
       </div>
       <p class="copyrights">We take no responsibility for the content on any website which we link to, ...</p>
       <p class="copyrights">Copyright © 2022 Avos  </p>
       <p class="copyrights"></p>
     </div>
-->
   </div>
  </div>
</footer>

<script type='text/javascript'>
/*
  function rcam(){
       var width1 = $('.camblock_cb').width();
       var width2 = $('#cb_iframe').width();
       var scale = width1 / width2;
       $('.caminner').css('transform', 'scale('+scale+')');
       var cr = 800/491;
       var h1 = $('.camblock_cb').width() / cr;
       $('.camblock_cb').height(h1);
  }
  rcam();
  $(window).on('resize', function(){
     rcam();
  });
 */
</script>
  
<script type="text/javascript">
  function create_data_cookie(e,a,i){if(i){var o=new Date;o.setTime(o.getTime()+24*i*60*60*1e3);var s="; expires="+o.toGMTString()}else s="";document.cookie=e+"="+a+s+"; path=/"}
  function read_data_cookie(e){for(var a=e+"=",i=decodeURIComponent(document.cookie).split(";"),o=0;o<i.length;o++){for(var s=i[o];" "===s.charAt(0);)s=s.substring(1);if(0===s.indexOf(a))return s.substring(a.length,s.length)}return""};
</script>
<script src="/assets/js/app.js" type="text/javascript"></script>
<script type="text/javascript"> lazyload(); </script>
</body>
</html>
