<?
  // Ensure $embedFeaturedModels has elements before accessing it
  if (!empty($embedFeaturedModels) && isset($embedFeaturedModels[0]['site'], $embedFeaturedModels[0]['nickname'])) {
      $model['site'] = $embedFeaturedModels[0]['site'];
      $model['nickname'] = $embedFeaturedModels[0]['nickname'];
  } else {
      $model['site'] = '';
      $model['nickname'] = '';
  }

  // Initialize variables if not already set
  $promoteTrakingCode = $promoteTrakingCode ?? 0;
  $modelsNameTraking = $modelsNameTraking ?? '';
  $database = $database ?? null;
?>

<? if ($promoteTrakingCode > 0): ?>

<?php 
  // Retrieve tracking configuration
  $trackingModels = getConfig('site', 'tracking', $database);
  $embedUrl = Avos\User\encodeChatEmbed($model);

  if (!empty($modelsNameTraking)) {
      $trakingModelNames = explode(',', $modelsNameTraking);
      
      foreach ($trakingModelNames as $trakingModelName) {
          $trakingModelName = trim($trakingModelName);
          
          if ($model['nickname'] == $trakingModelName) {
              $nickname = $trackingModels . '--' . $model['nickname'];
              $embedUrl = preg_replace('/(?<=\btrack=)[^&]+/', $nickname, $embedUrl);  
              $embedUrl = preg_replace('/(sourceId=)[^&]+/', '$1' . urlencode($nickname), $embedUrl);
              break;
          }
      }
  }
?>
<?= $embedUrl ?>

<? else: ?>
    <?= Avos\User\encodeChatEmbed($model) ?>
<? endif; ?>
