<div id="reels-feed">
    <?php foreach ($models as $index => $model): ?>
    <div class="reel-item" id="reel-<?= $index ?>" style="display: <?= $index === 0 ? 'inline-flex' : 'none' ?>;">
        <!-- Background Image -->
        <div class="reel-item-2">

        <img data-v-d34e760c="" draggable="false"
            src="<?= ($model['numImages'] > 0 && empty($useLiveImages)) ? $model['imagePath'] . $model['numImages'] . '.webp' : $model['imageUrl'] ?>"
            alt="Flirt" class="reel-background">
      
        


        <!-- Embed Content -->
        <div class="reel-content">
       
            <div class="embed-wrapper rwd-media">
                <?= Avos\User\encodeChatEmbed($model) ?>
            </div>
            <div class="info-reel">
    <h1>Do you want to <code style="color:red">Chat? </code></h1>
    <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $model['siteShortNameCaps'] : '' ), $model)); ?>" class="action-button">Join <b><?= ucfirst($model['nickname'])?> </b> Show </a>
    <button class="skip-button">Next</button>
</div>

        </div>



      



    </div>
    </div> 
    <?php endforeach; ?>

</div>



<script>
let currentIndex = 0;
const totalModels = <?= count($models) ?>;

document.querySelectorAll('.skip-button').forEach((button, index) => {
    button.addEventListener('click', function() {
        // Hide current embed
        document.getElementById('reel-' + currentIndex).style.display = 'none';

        // Move to the next embed
        currentIndex++;

        // Loop back to the first embed if we reach the end
        if (currentIndex >= totalModels) {
            currentIndex = 0;
        }

        // Show the next embed
        document.getElementById('reel-' + currentIndex).style.display = 'inline-flex';
    });
});

// Swipe-up to skip functionality (for mobile devices)
let touchStartY = 0;

document.addEventListener('touchstart', function(e) {
    touchStartY = e.touches[0].clientY;
});

document.addEventListener('touchend', function(e) {
    const touchEndY = e.changedTouches[0].clientY;
    if (touchStartY - touchEndY > 50) { // Swipe up to skip
        document.getElementById('reel-' + currentIndex).style.display = 'none';
        currentIndex = (currentIndex + 1) % totalModels;
        document.getElementById('reel-' + currentIndex).style.display = 'inline-flex';
    }
});
</script>

<style>

.info-reel{
    border-bottom-right-radius: .75rem;
        border-bottom-left-radius: .75rem;
    width: 100%;
    position: absolute;
    height: 200px;
    bottom: 0;
    background-color: #1f222ab3;

}



.reel-item-2 {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 56.25vw;
    height: 100vh;
    max-width: 500px;
    max-height: 700px;
    border-radius: 10px;
    overflow: hidden;
    position: relative;
    background-color: rgba(255, 255, 255, 0.1); /* Lighter background */
    box-shadow: 0 0 20px rgba(255, 255, 255, 0.5); /* Soft glow */
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.1), rgba(0, 0, 0, 0.3));
}


    .rwd-media {
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 57.25%;
}
/* Ensure embed inside reel-content is responsive */
.embed-wrapper iframe,
.embed-wrapper video {
    width: 100%;
    height: 100%;
    object-fit: contain; /* Ensure full content is visible */
    border-top-right-radius: .75rem;
    border-top-left-radius: .75rem;
    border: 2px solid #ffffff4d;
}

/* Blurred background adjustments */
.reel-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; /* Ensure it fills the space without distortion */
    filter: blur(20px);
    z-index: 0;
    pointer-events: none;
}

.reel-content {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 56.25vw; /* Maintain 16:9 aspect ratio */
    height: 100vh;
    max-width: 400px;
    max-height: 700px;
    border-radius: 10px;
    overflow: hidden;
    position: relative;
    background-color: rgba(0, 0, 0, 0.5); /* Optional background to improve readability */
}


/* Overlay container with blurred background */
.reel-overlay {
   
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    box-sizing: border-box;
    height: 88px;
    padding: 0 10px;
    color: var(--bc-thm-listingThumb-info-color);
    background: rgb(24 26 32 / var(--tw-bg-opacity));
   

}


/* TikTok-style Reels feed */
#reels-feed {
    position: relative;
    width: 100%;
    height: 120vh;
    max-height: 900px;
    background-color: #464350; /* More transparent background */
    overflow: hidden;
}


.reel-item {
    position: absolute;
    top: 50px;
    left: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;

}




/* Ensure embed inside is responsive and covers the container */


/* Mobile-specific styles */
@media (max-width: 768px) {
    .reel-content {
        width: 90vw;
        /* 90% of viewport width on mobile */
        height: calc(90vw * 16 / 9);
        /* Maintain 9:16 ratio */
    }
}


/* Optional: Smooth transition effect */
.reel-item {
    transition: opacity 0.5s ease-in-out;
}








.info-reel {
    box-sizing: border-box;
    border-width: 0;
    border-style: solid;
    border-color: #e5e7eb;
    border-radius: 0 0 .75rem .75rem;
    width: 100%;
    position: absolute;
    height: 170px; /* Slightly smaller height */
    bottom: 0;
    background-color: #1f222ab3; /* More transparent background */
    border: 1px solid #1f222ab2;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding: 8px; /* Slightly smaller padding */
}

.info-reel h1 {
    color: white;
    overflow-wrap: break-word;
    font-size: 18px;
    line-height: 1.75rem;
    text-align: center;
    margin-bottom: .5rem;
    font-weight: 600;
    padding: 4px;
}

.action-button {
    width: 100%;
    padding: 10px; /* Reduced height */
    font-size: 14px; /* Smaller font */
    text-align: center;
    --tw-bg-opacity: 1;
    background-color: rgb(255 77 103 / var(--tw-bg-opacity)); /* Consistent background color */
    color: white;
    border: none;
    border-radius: .75rem;
    text-decoration: none;
    cursor: pointer;
}

.action-button:hover,
.action-button:focus,
.action-button:active {
    background-color: rgb(255 77 103 / var(--tw-bg-opacity)) !important; /* Force no hover effect */
    color: white !important;
    text-decoration: none !important;
}

/* Removing hover effects for any nested anchor (if applicable) */
.action-button a {
    color: white;
    text-decoration: none;
}

.action-button a:hover,
.action-button a:focus,
.action-button a:active {
    background-color: transparent !important;
    color: white !important;
    text-decoration: none !important;
}


.skip-button {
    width: 100%;
    padding: 10px;
    font-size: 14px;
    background-color: transparent;
    color: white;
    border: 1px solid gray;
    border-radius: .75rem;
    cursor: pointer;
    z-index: 10;
    position: static;
}

.skip-button:hover {
    background-color: transparent; /* Darken slightly on hover */
}

</style>


