<?php
$ct = 3600;
$ts = gmdate("D, d M Y H:i:s", time() + $ct) . " GMT";

header("Expires: $ts");
header("Pragma: cache");
header("Cache-Control: max-age=$ct");
header("Content-type: text/css");

ob_start(function($buf) {
    if (getConfig('site', 'minify', 0)) {
        return minify_css($buf);
    }
    else {
        return $buf;
    }
});

?>
<style>
/*slider room subjectWords*/


  

    .custom-list li {
        display: inline-block;
        margin: 0 10px; /* Adjust left and right margins as needed */
    }

.ListSubject{
    padding: 0 10px;
    font-size: 14px;
    display: inline-block;
    margin: 0;
    line-height: 30px;
    font-weight: 400;
    color:<?= $tabsCategoriesMenuColor?>;
}

.linksTags{
    font-weight: 200;
}

/*slider room subjectWords*/








/*Promote grid with banners*/


.hovereffect img {
  display: block;
  position: relative;
  -webkit-transition: all 2s linear;
  transition: all 2s linear;
}

.model-wrapper {
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}
.model-wrapper .hovereffect p {
  position: relative;
  -webkit-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
  padding: 0 5px 0 0;
}
@media (max-width: 767px) {
  .model-wrapper .hovereffect p {
    font-size: 12px;
  }
}
.model-wrapper .hovereffect:hover p, .model-wrapper .model-wrapper .hovereffect:hover a.info {
  opacity: 1;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}
.model-wrapper .model-price {
  height: 25px;
  text-align: right;
  padding-right: 5px;
  opacity: 0;
  -webkit-transition: opacity 0.4s ease-in-out;
  transition: opacity 0.4s ease-in-out;
  color: #fff;
  font-size: 12px;
}

.model-wrapper.custom-wrapper .frame .frame-label {
  -webkit-writing-mode: vertical-lr;
      -ms-writing-mode: tb-lr;
          writing-mode: vertical-lr;
  text-align: center;
  height: 100%;
  height: calc(100% + 4px);
  width: 20px;
  position: absolute;
  right: 0px;
  top: -2px;
  font-weight: bold;
  z-index: 8;
}
.model-wrapper.custom-wrapper .frame.orange {
  border: 2px solid #ffa500;
}
.model-wrapper.custom-wrapper .frame.orange .frame-label {
  background: #ffa500;
}
.model-wrapper.custom-wrapper .frame.darkorange {
  border: 2px solid #ff7b40;
}
.model-wrapper.custom-wrapper .frame.darkorange .frame-label {
  background: #ff7b40;
}
.model-wrapper.custom-wrapper .frame.lightblue {
  border: 2px solid #39c6fc;
}
.model-wrapper.custom-wrapper .frame.lightblue .frame-label {
  background: #39c6fc;
}
.model-wrapper.custom-wrapper .frame.purple {
  border: 2px solid #aa4b77;
}
.model-wrapper.custom-wrapper .frame.purple .frame-label {
  background: #aa4b77;
}
.model-wrapper.custom-wrapper .frame.gold {
  border-style: solid;
  border-width: 2px;
  -o-border-image: linear-gradient(135deg, rgb(255, 255, 139) 0%, rgb(222, 158, 14) 100%);
     border-image: linear-gradient(135deg, rgb(255, 255, 139) 0%, rgb(222, 158, 14) 100%);
  border-image-slice: 1;
}
.model-wrapper.custom-wrapper .frame.gold .frame-label {
  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #efd100), color-stop(38%, #e2a233), color-stop(60%, #daae37), color-stop(86%, #ffc94e), to(#df9f10));
  background-image: linear-gradient(top, #efd100 0, #e2a233 38%, #daae37 60%, #ffc94e 86%, #df9f10 100%);
}
.model-wrapper.custom-wrapper .frame.green {
  border: 2px solid #5cb85c;
}
.model-wrapper.custom-wrapper .frame.green .frame-label {
  background: #5cb85c;
}
.model-wrapper.custom-wrapper .frame.red {
  border: 2px solid #fb5555;
}
.model-wrapper.custom-wrapper .frame.red .frame-label {
  background: #fb5555;
}
.model-wrapper.custom-wrapper .frame.black {
  border: 2px solid #313131;
}
.model-wrapper.custom-wrapper .frame.black .frame-label {
  background: #313131;
}


@media (max-width: 1349px) {
  .model-wrapper.custom-wrapper .offset-value {
    padding-right: 25px !important;
  }
}

.model-wrapper.custom-wrapper a.absolute:hover {
  background: rgba(0, 0, 0, 0.2);
}
.model-wrapper.custom-wrapper .model-shy-flag {
  z-index: 0;
}

.model-wrapper:hover .model-price {
  opacity: 1;
}

    


.model-wrapper.custom-wrapper a.absolute {
    -webkit-transition: all 0.2s linear;
    transition: all 0.2s linear;
    left: 2px;
    top: 2px;
    width: calc(100% - 4px);
    height: calc(100% - 4px);
}

.news-col {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: left 0px top 0px;
    background-color: rgb(51, 51, 51);
}
.overlay-wrapper {
    width: 100%;
    height: auto;
    position: relative;
    color: #fff;
}
.overlay-wrapper .news-feed {
    height: 26px;
    line-height: 26px;
    background-color: rgba(51, 51, 51, 0.63);
}
.overlay-wrapper .model-tag {
    position: absolute;
    bottom: 0;
    left: 0; 
    background-color: <?= $modelFrameColorDown ?>;
}


.model-tag {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 7 !important;
    width: 100%;
    text-indent: 5px;
    color: #fff;
    margin-bottom: 0;
}
.model-wrapper.custom-wrapper .frame.red {
    border: 2px solid #fb5555;
}

.model-wrapper.custom-wrapper .frame {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 8;
    pointer-events: none;
}
.hovereffect {
    width: 100%;
    height: 100%;
    position: relative;
    text-align: center;
    cursor: default;
}

.news-hovereffect {
    z-index: 10;
    text-align: initial;
}
.overlay-wrapper .placeholder-wrapper {
    padding-top: 98%;
    background-size: cover;
    background-repeat: no-repeat;
}

.invisible {
    visibility: hidden;
}
.hovereffect .overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    -webkit-transition: all 0.2s linear;
    transition: all 0.2s linear;
}
.overlay-wrapper .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 0;
    font-size: 12px;
    height: 100%;
}

a.absolute {
    z-index: 5;
}
.absolute {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.model-wrapper.custom-wrapper .frame {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 8;
    pointer-events: none;
}

.model-shy-flag{
    position: absolute;
    bottom: 30px;
    right: 5px;
    z-index: 5;
    background-size: contain;
    background-repeat: no-repeat;
    width: 15px;
    height: 20px;
}

.model-shy-flag-down{
    position: absolute;
    bottom: 30px;
    right: 5px;
    z-index: 5;
    background-size: contain;
    background-repeat: no-repeat;
    width: 15px;
    height: 20px;
}
.model-shy-flag-up {
    position: absolute;
    bottom: 30px;
    right: 5px;
    z-index: 5;
    background-size: contain;
    background-repeat: no-repeat;
    width: 15px;
    height: 20px;
}

.default-thumbnail{
    opacity: 1;
    position: absolute;
    display: block;
    -o-object-fit: cover;
    object-fit: cover;
    width: 100%;
    height: 100%;
    transition: opacity .3s linear;
}
/*Promote grid with banners*/




/*progres model tip bar*/



.health {
  position: relative; /* Ensure the container is positioned */
  height: 25px;
  width: 100%;
  
  
  border-radius: 7px;
  background-color: #26262d;
  
  box-shadow: inset 0 2px 5px rgba(0, 0, 0, 0.3), 0 1px 0 rgba(255, 255, 255, 0.1);
  }
  
  .health .progress-bar {
  display: block;
  position: relative;
  height: 100%;
  min-width: 13px;
  border-radius: 7px;
  }
  
  .health .shade {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%; /* Adjusted width */
  height: 100%;
  border-top-left-radius: 4px; /* Rounded corner on the left side */
  border-bottom-left-radius: 4px; /* Rounded corner on the left side */
  
  }
  
  .health .shade:after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 50%; /* Adjusted width */
  height: 100%;
  background: green;
  
  }
  
  .progress-percentage {
  position: absolute;
  
  left: 1%;
  font-size: 10px;
  padding-top: 2px;
  color: #fff;
  font-weight: 700;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  z-index: 1; /* Ensure it's above other elements */
  }
  
  .tip-model-stats {
  position: absolute;
  color: white;
  font-size: 1.2rem;
  right: 10px;
  top: 6px;
  font-weight: 900;
  }
  .warm {
  background: green;
  
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.3), inset 0 -3px 4px rgba(216, 26, 110, 0.4);
  }
  
  .cool {
  background: #67cecd;
  background: -moz-linear-gradient(left, #67cecd 30%, #eaef91 100%);
  background: -webkit-gradient(linear, left top, right top, color-stop(30%, #67cecd), color-stop(100%, #eaef91));
  background: -webkit-linear-gradient(left, #67cecd 30%, #eaef91 100%);
  background: -o-linear-gradient(left, #67cecd 30%, #ffa894 100%);
  background: -ms-linear-gradient(left, #67cecd 30%, #eaef91 100%);
  background: linear-gradient(to right, #67cecd 30%, #eaef91 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr="#67cecd", endColorstr="#eaef91",GradientType=1 );
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5), inset 0 -3px 4px rgba(142, 218, 218, 0.4);
  }
  
  /* Specific styling for Goal: and <?//= $model['subject'] ?> */
  .health .progress-percentage .goal-label {
  color: white; /* Adjusted color for Goal: text */
  font-size: 14px;
  font-weight: 900;
  }
  
  .health .progress-percentage .subject-text {
  /*  background-color: #67cecd; Adjusted background color for <?//= $model['subject'] ?> */
  color: greenyellow; /* Adjusted text color for <?//= $model['subject'] ?> */
  padding: 2px 5px;
  border-radius: 3px;
  }
  .profile-left .profile-left-container-3 span {
      min-width: 48%;
      text-align: center;
  }
  .health {
            cursor: pointer;
           
        }
        .health:hover {
          cursor: pointer;
        }

</style>



<? if (!empty(TEMPLATES_FLAVOR) && file_exists(TEMPLATES_FLAVOR . 'style.css')) readfile(TEMPLATES_FLAVOR . 'style.css'); ?>
<? if (!empty(TEMPLATES_FLAVOR) && file_exists(TEMPLATES_FLAVOR . 'style.php')) include(TEMPLATES_FLAVOR . 'style.php'); ?>
<? if (file_exists(getConfig('site', 'webDir', '*') . 'site.css')) readfile(getConfig('site', 'webDir') . 'site.css'); ?>
<? ob_end_flush(); exit; ?>
