

<div class="content">
<div class="top-placement">
<div class="placement-wrapper"></div>
</div>
<div class="page-content">

<style>

/* Base Styles */
body {

}

/* container-dmca */
.container-dmca {
    max-width: 800px;
    margin: 20px auto;
    padding: 20px;
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

/* Headings */


h2 {
    color: #444;
    border-bottom: 2px solid #444;
    padding-bottom: 5px;
    margin-top: 30px;
}

/* Paragraphs */
p {
    margin: 10px 0;
    line-height: 1.6;
}

/* Lists */
ol, ul {
    margin: 10px 0 20px 20px;
}

li {
    margin-bottom: 10px;
}

/* Address */
address {
    font-style: normal;
    margin: 20px 0;
    background: #f0f0f0;
    padding: 10px;
    border-radius: 5px;
}

/* Links */
a {
    color: #0066cc;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* Responsive Design */
@media (max-width: 768px) {
    .container-dmca {
        padding: 15px;
    }

    h1 {
        font-size: 1.5em;
    }

    h2 {
        font-size: 1.2em;
    }

    p, li {
        font-size: 1em;
    }
}

@media (max-width: 480px) {
    .container-dmca {
        padding: 10px;
    }

    h1 {
        font-size: 1.2em;
    }

    h2 {
        font-size: 1em;
    }

    p, li {
        font-size: 0.9em;
    }
}
.cover-image img {
    width: 100%;
    height: auto;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

</style>


    <div class="container-dmca">

        <h1 style="text-align:center;">DMCA Notice & Takedown Policy</h1>
        <br>
  <!--<div class="cover-image">
            <img src="" alt="DMCA Notice & Takedown Policy">
        </div>-->
        <section>
            <h2>Digital Millennium Copyright Act (DMCA) Notice</h2>
            <p><strong>&nbsp;<?=$sitename?>&nbsp</strong> respects the intellectual property rights of others and expects its users to do the same. It is our policy to respond to clear notices of alleged copyright infringement that comply with the Digital Millennium Copyright Act (DMCA).</p>
        </section>

        <section>
            <h2>How to Report Copyright Infringement</h2>
            <p>If you believe that your copyrighted work has been copied in a way that constitutes copyright infringement and is accessible on this site, please notify our designated copyright agent as set forth below. Your notice should include the following:</p>
            <ol>
                <li><strong>Identification of the Infringed Work</strong>:
                    <ul>
                        <li>A description of the copyrighted work that you claim has been infringed.</li>
                        <li>If multiple copyrighted works are covered by a single notification, provide a representative list of such works.</li>
                    </ul>
                </li>
                <li><strong>Identification of the Infringing Material</strong>:
                    <ul>
                        <li>Identify the material that you claim is infringing or to be the subject of infringing activity and that is to be removed or access to which is to be disabled.</li>
                        <li>Provide information reasonably sufficient to permit us to locate the material. This should include, if applicable, the URL(s) of the web page(s) where the infringing material is located.</li>
                    </ul>
                </li>
                <li><strong>Contact Information</strong>:
                    <ul>
                        <li>Your address, telephone number, and email address.</li>
                    </ul>
                </li>
                <li>A statement that you have a good faith belief that use of the material in the manner complained of is not authorized by the copyright owner, its agent, or the law.</li>
                <li>A statement that the information in the notification is accurate, and under penalty of perjury, that you are authorized to act on behalf of the owner of an exclusive right that is allegedly infringed.</li>
                <li>Your physical or electronic signature.</li>
            </ol>
        </section>

        <section>
            <h2>Submit Your DMCA Notice</h2>
            <address>
            <p>



            
                    <strong><?=$sitename?></strong><br>
                    Attn: DMCA Agent<br>
                    Email: <a href="mailto:eolbcams@gmail.com">eolbcams@gmail.com</a><br>
                </p>
            </address>
        </section>

        <section>
            <h2>Counter-Notification Procedure</h2>
            <p>If you believe that your material was removed or disabled by mistake or misidentification, you may file a counter-notification with us. To be effective, a counter-notification must be a written communication provided to our designated copyright agent that includes substantially the following:</p>
            <ol>
                <li><strong>Identification of the Material</strong>:
                    <ul>
                        <li>Identify the material that has been removed or to which access has been disabled and the location at which the material appeared before it was removed or access to it was disabled.</li>
                    </ul>
                </li>
                <li><strong>Your Statement</strong>:
                    <ul>
                        <li>A statement under penalty of perjury that you have a good faith belief that the material was removed or disabled as a result of mistake or misidentification of the material to be removed or disabled.</li>
                    </ul>
                </li>
                <li><strong>Your Contact Information</strong>:
                    <ul>
                        <li>Your name, address, and telephone number.</li>
                    </ul>
                </li>
                <li><strong>Your Consent to Jurisdiction</strong>:
                    <ul>
                        <li>A statement that you consent to the jurisdiction of the Federal Court for the judicial district in which your address is located, or if your address is outside of the United States, for any judicial district in which the service provider may be found.</li>
                        <li>A statement that you will accept service of process from the person who provided the original notification or an agent of such person.</li>
                    </ul>
                </li>
                <li>Your physical or electronic signature.</li>
            </ol>
        </section>

        <section>
            <h2>Process for Handling DMCA Notifications and Counter-Notifications</h2>
            <ol>
                <li><strong>Upon receipt of a valid DMCA notice</strong>, we will:
                    <ul>
                        <li>Remove or disable access to the material that is claimed to be infringing.</li>
                        <li>Notify the user who posted the material that it has been removed or disabled.</li>
                        <li>Provide the user with a copy of the DMCA notice and inform them that they may file a counter-notification.</li>
                    </ul>
                </li>
                <li><strong>Upon receipt of a valid counter-notification</strong>, we will:
                    <ul>
                        <li>Promptly provide the original complaining party with a copy of the counter-notification.</li>
                        <li>Inform the original complaining party that we will replace the removed material or cease disabling access to it within 10 to 14 business days unless our designated copyright agent receives notice from the original complaining party that a court action has been filed to restrain the user from engaging in infringing activity related to the material on our site.</li>
                    </ul>
                </li>
            </ol>
        </section>

        <section>
            <h2>Repeat Infringers</h2>
            <p>In accordance with the DMCA and other applicable law, <strong>&nbsp;<?=$sitename?>&nbsp</strong> has adopted a policy of terminating, in appropriate circumstances and at <strong>&nbsp;<?=$sitename?>&nbsp</strong>'s sole discretion, users who are deemed to be repeat infringers. <strong>&nbsp;<?=$sitename?>&nbsp</strong> may also at its sole discretion limit access to the site and/or terminate the accounts of any users who infringe any intellectual property rights of others, whether or not there is any repeat infringement.</p>
        </section>

        <section>
            <h2>Misrepresentations</h2>
            <p>Any person who knowingly materially misrepresents that material or activity is infringing may be subject to liability for damages (including costs and attorneys' fees). Do not make false claims. Misuse of this process may result in the suspension of your account or other legal consequences.</p>
        </section>

        <section>
            <h2>Additional Information</h2>
            <p>For any additional information or if you have any questions about our DMCA policy, please contact our designated DMCA agent at the contact information provided above.</p>
        </section>
    </div>

