

<link rel="stylesheet" type="text/css" href="/assets.<?= $theme ?>/css/blog-app.css" media="screen">
<style>

.panel-paywall .clubprices .clubprices-clubprice .clubprices-token-info {
    font-size: 14px;

    display: flex;

}
.favorite-heart {
    color: orangered;
}
.responsive-image2 {
    max-width: 100%;
    height: auto;
    max-height: 250px;
}

.image-container {
    position: relative;
    max-width: 250px; /* Adjust as needed */
}

.blurred-image {
    filter: blur(5px); /* Adjust the blur radius as needed */
}

.overlay-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 18px; /* Adjust the font size as needed */
    font-weight: bold;
    text-align: center;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}



</style>
<?php
// Database configuration
$host = $_AVOS['config']['mysql']['hostname'];
$username = $_AVOS['config']['mysql']['username'];
$password = $_AVOS['config']['mysql']['password'];
$database = $_AVOS['config']['mysql']['database'];

// Establish database connection
$conn = new mysqli($host, $username, $password, $database);
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Function to check if a photo is already a favorite for a user
function isPhotoFavorite($conn, $user_id, $photoId) {
    $sql = "SELECT COUNT(*) AS count FROM userFavoritesBlogs; WHERE user_idBlogs = $user_id AND blogs_id = $photoId";
    $result = $conn->query($sql);

    if ($result && $result->num_rows > 0) {
        $row = $result->fetch_assoc();
        return intval($row['count']) > 0;
    }

    return false; // If query fails or no rows found
}

// Handle adding/removing photos to/from favorites
if (isset($_POST['action']) && isset($_POST['photoId'])) {
    $photoId = $_POST['photoId'];
    $user_id = $_SESSION['user_id']; // Assuming you have the user's session ID available

    if ($_POST['action'] === 'add') {
        if (isPhotoFavorite($conn, $user_id, $photoId)) {
            echo "post is already a favorite";
        } else {
            // Add the photo to favorites
            $sql = "INSERT INTO userFavoritesBlogs (user_idBlogs, blogs_id) VALUES ($user_id, $photoId)";
            if ($conn->query($sql) === TRUE) {
                echo "post added to favorites successfully";
            } else {
                echo "Error adding post to favorites: " . $conn->error;
            }
        }
    } elseif ($_POST['action'] === 'remove') {
        // Remove the photo from favorites
        $sql = "DELETE FROM userFavoritesBlogs WHERE user_idBlogs = $user_id AND blogs_id = $photoId";
        if ($conn->query($sql) === TRUE) {
            echo "post removed from favorites successfully";
        } else {
            echo "Error removing post from favorites: " . $conn->error;
        }
    }
}
?>


<!--articleProfile-->
<?

function formatDateTimeAgo($dateTime) {
    $now = new DateTime();
    $creationDateTime = new DateTime($dateTime);

    $interval = $creationDateTime->diff($now);

    if ($interval->y > 0) {
        return $interval->y . " year" . ($interval->y > 1 ? "s" : "") . " ago";
    } elseif ($interval->m > 0) {
        return $interval->m . " month" . ($interval->m > 1 ? "s" : "") . " ago";
    } elseif ($interval->d > 0) {
        return $interval->d . " day" . ($interval->d > 1 ? "s" : "") . " ago";
    } elseif ($interval->h > 0) {
        return $interval->h . " hour" . ($interval->h > 1 ? "s" : "") . " ago";
    } elseif ($interval->i > 0) {
        return $interval->i . " minute" . ($interval->i > 1 ? "s" : "") . " ago";
    } else {
        return "Just now";
    }
}
$creationDate = $blog['LastUpdated'];
$formattedate = formatDateTimeAgo($creationDate);






?>
<script>
    document.addEventListener("DOMContentLoaded", function () {
        // Get all img elements with a src attribute containing ".."
        var images = document.querySelectorAll('img[src*=".."]');

        // Iterate through each image and update the src attribute
        images.forEach(function (image) {
            var originalSrc = image.getAttribute('src');
            var updatedSrc = originalSrc.replace('..', ''); // Remove ".." from the src
            image.setAttribute('src', updatedSrc);
        });
    });
</script>
<main class="main-wrap">


    <article>
        <div class="l-content in-post">
            <div class="l-wrapper in-post js-aos-wrapper aos-init aos-animate" data-aos="fade-up" data-aos-delay="300">
                <div class="l-post-content js-progress-content">
                    <header class="m-heading">
                        <h1 class="m-heading__title in-post"><?= $blog['Title']?></h1>
                        <div class="m-heading__meta">
                            <a href="" class="m-heading__meta__tag"><?= $blog['Category']?></a>
                            <?php if (!empty($blog['ModelName'])): ?>
    <span class="m-heading__meta__divider" aria-hidden="true">•</span>
    <a href="" class="m-heading__meta__tag"><?= $blog['ModelName'] ?></a>
<?php endif; ?>

<?php if (!empty($blog['ModelSites'])): ?>
    <span class="m-heading__meta__divider" aria-hidden="true">•</span>
    <a href="" class="m-heading__meta__tag"><?= $blog['ModelSites'] ?></a>
<?php endif; ?>
                            <span class="m-heading__meta__divider" aria-hidden="true">•</span>
                            <span class="m-heading__meta__time"><?= $blog['Views'] ?> Views</span>
                        </div>
                    </header>
                    <div class="pos-relative js-post-content">



                        <figure class="kg-card kg-image-card kg-width-wide">
                            <a href=""><img src="/photosBlog/<?= $blog['id']?>/<?= $blog['MainImage']?>" class="kg-image" alt="" loading="lazy" width="1200" height="675" ></a>
                        </figure>
<!-- if the model from the poat is offline-->
                        <div id="resultDiv"></div>
<!-- if the model from the poat is offline-->
                        <h4>Post</h4>
                     
                        <p class="p_blog"><?= $blog['Description']?></p>



                        <!-- Photo Grid -->
                      
 <? if (!empty($blog['ModelName'])  ) : ?>
    <? $modelon = getWebcams(['site' => $blog['ModelSites'], 'nickname' => $blog['ModelName'], 'count' => 1]); ?>
    <!--new model interlink if the post model is offline-->
    <? $modelOff = getWebcams(['site' => $blog['ModelSites'], 'status' => 'f', 'gender' => 'f', 'count' => 1]); ?>



   <!--new model interlink if the post model is offline-->
 

       <? $modelon_link =  Avos\User\encodeRoomLink($modelon[0]);?>
       <? $modelOff_link =  Avos\User\encodeRoomLink($modelOff[0]);?>


       <?php if ($modelon[0]['status'] != 'Offline' && strtolower($blog['ModelName']) == strtolower($modelon[0]['nickname'])): ?>

    <!-- Your code here -->

    
        <?php
$modelName = ucfirst($modelon[0]['nickname']);
$modelSite = ucfirst($modelon[0]['site']);

$alternatives = array(
    "$modelName is causing a stir on $modelSite - tune in now!",
    "Hold onto your hats, $modelName is strutting her stuff on $modelSite!",
    "$modelName's $modelSite takeover is in full swing!",
    "$modelSite's new superstar, $modelName, is live and ready to dazzle!",
    "Live from $modelSite, it's $modelName - the one and only!",
    "Prepare for laughter and entertainment as $modelName goes live on $modelSite!",
    "Breaking news: $modelName's $modelSite broadcast is lighting up the internet!",
    "Ready or not, $modelName is live on $modelSite - the fun starts now!",
    "Step right up, folks! $modelName is rocking $modelSite with her live show!",
    "In a world of boring, $modelName's $modelSite stream is a breath of fresh air!"
);

// Shuffle the alternatives to make the order random
shuffle($alternatives);

?>
    
        <div class="panel panel-default panel-paywall">
      <div class="panel-heading">
      <center>  
    <i class="fa fa-bell-o" aria-hidden="true"></i>
    <?$randomAlternative = $alternatives[array_rand($alternatives)]; echo ucfirst($randomAlternative);?> 
    </center>
</div>
    <div class="panel-body" style="padding-top:5px; padding-bottom:9px;">
      <div class="clubprices">
     
        <div class="clubprices-header">
        <a href=" <?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $modelon[0]['siteShortNameCaps'] : '' ), $modelon[0])); ?>">
        <?= ucfirst($modelon[0]['nickname']);?> </a>live room show details:
        <br>
        </div>   



       <? if (!empty($modelon[0]['subject'])): ?>
            <div class="clubprices-clubprice ">
              <a href=" <?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $modelon[0]['siteShortNameCaps'] : '' ), $modelon[0])); ?>">
              Room Subject&#x202A;.✧&#x202C;
            </a><br>
              <div class="clubprices-token-info"><?= $modelon[0]['subject'];?> </div>
            </div>
      <?endif;?>  
      
     
      <? if (!empty($modelon[0]['gender'])): ?>
        <span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Gender: <?= $modelon[0]['gender'] ?></span>
      <?endif;?> 
      
      <? if (!empty($modelon[0]['age'])): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Age: <?= $modelon[0]['age'] ?></span>
            
      <?endif;?> 





      <? if ($modelon[0]['followers'] > 0): ?>

<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Followers: <?= $modelon[0]['followers'] ?></span>
<? endif; ?>

<? if ($modelon[0]['viewers'] > 0): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Viewers: <?= $modelon[0]['viewers'] ?></span>
<? endif; ?>
<? if ($modelon[0]['location'] != ''): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Location: <?= $modelon[0]['location'] ?></span>
<? endif; ?>
<? if ($modelon[0]['body'] != ''): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Body Type: <?= $modelon[0]['body'] ?></span>
<? endif; ?>


<? if ($modelon[0]['birthday'] != ''): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Birthday: <?= date("F dS " , $modelon[0]['birthday']); ?></span>
<? endif; ?>

      <? if (!empty($modelon[0]['tags'])): ?>
        <div class="flex-row space-between">
                      <div class="flex-col">
                          <div class="album-info-container tags-container">
             
              <?php


$tagsString = $modelon[0]['tags'];
$tagsArray = explode(',', $tagsString);
foreach ($tagsArray as $tag) {
    $tag = trim($tag); // Remove extra spaces
    if ($tag !== '') {
        $tagParts = explode('-', $tag); // Split the tag into parts using dash
        foreach ($tagParts as $tagPart) {
            $tagPart = trim($tagPart); // Remove extra spaces
            if ($tagPart !== '') {?>
      <a  href="<?= $searchUrl ?>kw=<?= urlencode($tagPart)  ?>" >#<?= $tagPart ?></a>    
           <? }
        }
    }
}
?>

            
            
            
</div>



<?
  $model['site'] =  $modelon[0]['site'];
  $model['nickname'] =  $modelon[0]['nickname'];

?>
<?php if ($modelon[0]['status'] != 'Offline'): ?>
    <div class="rwd-media">
        <?php include('webcamsChatEmbed.php'); ?>
    </div>

<?php endif; ?>





 </div>
            </div>
      <?endif;?>    
            
      </div>





    </div>
    <center>
    <? if(!empty($statsMoreInfo)):?>
        <?php
    $currentYear = date('y');
    $currentMonth = date('m');
    ?>
  <a  class="btn btn-grey btn-sm adsone"  href="/<?= strtolower($modelon[0]['site']) ?>/<?= $modelon[0]['nickname'] ?>/stats/<?= $currentYear ?>/<?= $currentMonth ?>" class="btn btn-grey btn-sm mt10 full-width adsone">
          <span class="">See here <b><?= ucfirst($modelon[0]['nickname']);?></b>  Live Webcams Statistics </span>
 </a> 
<?endif;?>
<a class="btn btn-grey btn-sm adsone" href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $modelon[0]['siteShortNameCaps'] : '' ), $modelon[0])); ?>">View Full Profile</a>

    </center>
  </div>

<?else:?>



<!-- Model is offline add a new model -->
<script>
function insertTipmenuContent() {
  const tipmenuContent = `


  <div class="highlight-area things-section">
    <div class="well text-things-index xs-undo-side-padding mt5">
    <div class="row mt5">
      <div class="col-xs-12">
      <p> 
      <lib> <b>Don't worry, <?= ucfirst($blog['ModelName']) ?> might be offline now, but there's a lot to explore!</b> </lib>
    <br>   </p> 
    <p> 
        <a href=" <?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $modelOff[0]['siteShortNameCaps'] : '' ), $modelOff[0])); ?>">
           <?= ucfirst($modelOff[0]['nickname']);?>
           </a> 
           from   <b><?= ucfirst($modelOff[0]['site'])?></b> 
           <?
          $tagsString = $modelOff[0]['tags']; // Assuming the output is " # #girls #asian #asian-young ..."
          $tagsArray = explode(',', $tagsString); // Convert comma-separated string to an array
          
          // Filter out empty and whitespace-only tags
          $filteredTags = array_filter($tagsArray, function($tag) {
              return trim($tag) !== '';
          });
          
          $limitedTags = array_slice($filteredTags, 0, 5);
            
           ?>
           
           topic: <?= !empty($modelOff[0]['subject']) ? ucfirst($modelOff[0]['subject']) : "Dare you make me creamy and scquirt"?>

<? if (!empty($limitedTags)) { ?>
   <?php foreach ($limitedTags as $tag): ?>
    <a href="<?= $searchUrl ?>kw=<?= $tag ?>" title="<?= $tag ?>">#<?= $tag ?></a>
<? endforeach;?>
    <?;} else { echo "I'm horny,cum with me"; }?>

      </p>

      </div>
    </div>
      <div style="clear:both;"></div>
    </div>
</div>


  `;

  const resultDiv = document.getElementById("resultDiv");
  resultDiv.insertAdjacentHTML("beforeend", tipmenuContent);
}

// Call the function to insert the content
insertTipmenuContent();
</script>

    <!-- Model is offline add a new model -->


        <?endif;?>
   <?endif;?>


    <!-- Your code here -->

 
<!--videos-->

   <?
$tagsList = $videoOn[0]['tags']; // Your tags list like "brea,miok,lokp.iuyt"
// Split the tags list into an array using the comma as a delimiter
$tagsArray = explode(',', $tagsList);
// Get the first tag from the array
$firstTag = trim($tagsArray[0]); // Remove any extra spaces
$videoOn = getVideos([$firstTag  => $blog['ModelName']]);
 

$tagsList = $videoOn[0]['tags']; // Your tags list like "brea,miok,lokp.iuyt"
// Split the tags list into an array using the comma as a delimiter
$tagsArray = explode(',', $tagsList);
// Get the first tag from the array
$firstTag = trim($tagsArray[0]); // Remove any extra spaces

//echo "First Tag: $firstTag";

if ($modelon[0]['status'] == 'f' && strtolower($blog['ModelName']) == $firstTag): ?>
 <? echo  $modelon[0]['status'] ;?>


<?

/// Check if the video data is available
if (isset($videoOn[0]['title'])) {
    $url = encodeUrl('videosPlayer', $v); // The base URL with the placeholder
    $encodedTitle = urlencode($videoOn[0]['title']);
    $encodedTitleWithDashes = str_replace('+', '-', $encodedTitle); // Replace spaces with dashes
    $finalUrl = str_replace(':urltitle', $encodedTitleWithDashes, $url); // Replace the placeholder
    $lowercaseUrl = strtolower($finalUrl); // Convert to lowercase
} else {
    $lowercaseUrl = ''; // Default value if video title is not available
}
?>
<!-- Output the result -->

<center>
    <div class="tabs">
<a class="avatar avatar-small user-link"  href="<?= $lowercaseUrl ?>" style="    font-size: 18px;"><?= ucfirst($videoOn[0]['title']) ?></a>
 
 </div>
 <a href="" class="avatar avatar-small user-link">
              <strong> <?= ucfirst($blog['ModelName']) ?></strong> from <?= ucfirst($blog['ModelSites']) ?>. Watch her Free Video show
        </a>
</center>

<div class="piece-mfcs piece-well item piece-Video">
  <div class="black-bg" style="position:relative; overflow:hidden;">
      <playah class="rwd-media">

        <video controls="" autoplay="" width="100%" style="visibility: initial;">
            <source src="<?= $videoOn[0]['imagePath'] ?><?= $videoOn[0]['filename'] ?>" type="video/mp4">

            </video>
</playah>
  </div>
</div>
<div class="comments2-container">
    <div data-controller="comments2" data-timeline-entry-target="newCommentForm" class="primary-comment-form">
        <div class="mb10 text-bold text-large">
          <a class="" href="#login-dev" data-toggle="modal"></a>
          <span>   <?= ucfirst($videoOn[0]['description'])?>   </span>
        </div>
    </div>


<? endif;?>
<!--videos-->










<h4>Content</h4>
       <div> <?= $blog['Content']?></div>

<br>


        <div class="row">
                        <?php
$imageArray = explode(',', $blog['GalleryImages']); // Split using comma

foreach ($imageArray as $imageFilename) {
    $imageFilename = trim($imageFilename); // Remove any extra spaces
    $imagePath = "/photosBlog/{$blog['id']}/GalleryImages/{$imageFilename}";
?>

<div class="column">
    <img src="<?= $imagePath ?>" alt="<?= $imageFilename ?>">
</div>

<?php
}
?>
             


                        </div>




          

<?// Check if ModelName matches nickname
    if (!empty($b['ModelName'])) {
        $query = "SELECT * FROM webcams WHERE nickname = ?";
        $stmt = $connection->prepare($query);
        $stmt->bind_param("s", $b['ModelName']);
        $stmt->execute();
        $webcamResult = $stmt->get_result();
        
        if ($webcamRow = $webcamResult->fetch_assoc()) {
            // You can now access data from the webcams table
            $webcamName = $webcamRow['nickname'];
            $webcamLocation = $webcamRow['status'];
            
            // Use the data on your blog page
            echo "Webcam Name: " . $webcamName;
            echo "Webcam Location: " . $webcamLocation;
        }
    }
    
   
    
    
    
    ?>



<? if($userUse > 0):?>

<div class="highlight-area things-section">
    <div class="well text-things-index xs-undo-side-padding mt5">
    <div class="row mt5">
      <div class="col-xs-12">
   
     <center> 
        <h4 class="center-mobileww  p-small" style=""><?= $userFavoriteBlogTitle?>
    <p class="p-small"> <?=$userFavoriteBlogText?> </p>
    </h4>

<!-- favorite-->
<button class="btn btn-grey btn-sm follow-button" data-action="add" data-photoId="<?= $blog['id'] ?>">
    <?php if (isPhotoFavorite($conn, $user_id, $blog['id'])): ?>
        <i class="fa fa-heart favorite-heart" aria-hidden="true"></i> <!-- Filled heart icon for favorite photos -->
    <?php else: ?> 
        <i class="fa fa-heart"></i> <!-- Empty heart icon for non-favorite photos -->
    <?php endif; ?>
</button>
            
<!-- favorite-->







<script>
$(document).ready(function() {
    $('.follow-button').click(function() {
        var action = $(this).data('action');
        var photoId = $(this).data('photoid');
        var button = $(this);

        if (action === 'add') {
            addToFavorites(photoId, button);
        } else if (action === 'remove') {
            removeFromFavorites(photoId, button);
        }
    });

    function addToFavorites(photoId, button) {
        $.post("", { action: "add", photoId: photoId }, function(data) {
            console.log(data);
            updateButtonStatus(button, true);
        });
    }

    function removeFromFavorites(photoId, button) {
        $.post("", { action: "remove", photoId: photoId }, function(data) {
            console.log(data);
            updateButtonStatus(button, false);
        });
    }

    function updateButtonStatus(button, isAdded) {
        var heartIcon = button.find('i');
        
        if (isAdded) {
            button.data('action', 'remove');
            heartIcon.removeClass('fa-heart-o').addClass('fa-heart favorite-heart');
        } else {
            button.data('action', 'add');
            heartIcon.removeClass('fa-heart favorite-heart').addClass('fa-heart-o');
        }
    }
});


</script>










<? if (!empty($twitter)): ?>
    <?php
$tagsTw = explode(', ', $blog['Tags']); // Split the tags into an array

?>

<a href="https://twitter.com/share?hashtags=<?php foreach ($tagsTw as $tag): ?> <?=$tag?><?php endforeach; ?>
&via=<?= $twitter?>
&image=/photosBlog/<?= $blog['id']?>/<?= $blog['MainImage'] ?>
&title=<?= ucwords($b['nickname'])?>
&url=<?= getCanonicalUrl() ?>"
target=”_blank” >
<? endif; ?>
<button class="btn btn-grey like-button btn-sm"  data-disable-with="<span><i class='icon-spin animate-spin'></i> <span class='hidden-xs'>Share</span></span>" title="Share">
                <i class="fab fa-twitter" style="color:blue"></i><span class="hidden-xs"> Share</span>
                 </button>

</a>
</center>
      </div>
    </div>
      <div style="clear:both;"></div>
    </div>
</div>

<? endif;?>




                        <section class="m-tags in-post">
                            <h3 class="m-submenu-title">Tags</h3>
                            
                            <ul>
     

<?php
$tags = explode(', ', $blog['Tags']); // Split the tags into an array
?>

<ul>
<ul>
    <?php foreach ($tags as $tag): ?>
        <?php $tag = trim($tag); // Remove any extra spaces ?>
        <?php if ($tag !== ''): ?>
            <?php $tagParts = explode(',', $tag); // Split the tag into parts using comma ?>
            <?php foreach ($tagParts as $tagPart): ?>
                <?php $tagPart = trim($tagPart); // Remove extra spaces from the tag part ?>
                <?php if ($tagPart !== ''): ?>
                    <li>
                        <a href="<?= $searchUrl ?>kw=<?= $tagPart ?>" title="<?= $tagPart ?>">#<?= $tagPart ?></a>
                    </li>
                <?php endif; ?>
            <?php endforeach; ?>
        <?php endif; ?>
    <?php endforeach; ?>
</ul>

</ul>



                        </section>

                        <section class="m-author">
          <div class="m-author__content">
            <div class="m-author__picture">
              <a href="" class="m-author-picture" aria-label="<?= strip_tags($blog['authorssescription']) ?>">
                  <div style="background-image: url(/photosBlog/<?= $blog['id']?>/<?= $blog['ImagePathAvatar'] ?>);"></div>
              </a>
            </div>
            <div class="m-author__info">
              <h4 class="m-author__name">
                <a href="">Post by <?= $blog['Authors'] ?></a>
                <p class="m-author__bio"> 
                    <?= $blog['authorssescription'] ?>
                </p>
              </h4>
                
              <ul class="m-author-links">
                  <li>
                    <a href="/" target="_blank" rel="noopener" aria-label="Website">
                    <i class="fa fa-globe" aria-hidden="true"></i>
                    </a>
                  </li>
                  <li>
                    <a href="" target="_blank" rel="noopener" aria-label="Twitter">
                      <i class="fa fa-twitter" aria-hidden="true"></i>
                    </a>
                  </li>
              </ul>
            </div>
          </div>
        </section>
                      
                    </div>
                </div>



            </div>


            <!--naked zone 2-->
            <section class="m-recommended">
                <div class="l-wrapper in-recommended">
                    <h3 class="m-section-title in-recommended">Recommended for you</h3>
                    <div class="m-recommended-articles">
                        <div class="m-recommended-slider glide js-recommended-slider glide--ltr glide--slider glide--swipeable">
                            <div class="glide__track" data-glide-el="track">
                                <div class="glide__slides" style="transition: transform 0ms cubic-bezier(0.165, 0.84, 0.44, 1) 0s; width: 1180px; transform: translate3d(0px, 0px, 0px);">

<? //echo "Query: $query<br>";
function getRelatedBlogs($tags) {
    global $_AVOS;

    // Trim tags to remove extra spaces
    $tags = array_map('trim', $tags);

    $conditions = [];
    foreach ($tags as $tag) {
        $conditions[] = "FIND_IN_SET(" . \Avos\Database\quote($tag) . ", Tags) > 0";
    }

    \Avos\Database\setCacheTime($_AVOS['config']['blogs']['cacheExpiry']);

    $query = "SELECT * FROM ArticleBlogPosts WHERE " . implode(" OR ", $conditions) . " AND publishedOn > 0 ORDER BY publishedOn DESC";
    $relatedBlogs = \Avos\Database\queryAssoc($query);

    return $relatedBlogs;
}

$relatedTags = explode(',', $blog['Tags']);
$relatedBlogs = getRelatedBlogs($relatedTags);

 ?>
 <? foreach ($relatedBlogs as $r): ?>
  <?

$creationDate = $blog['LastUpdated'];
$formattedCreationDate = formatDateTimeAgo($creationDate);
$postLink = encodeUrl('articleProfile', $r);  // Assuming this is the output: "/post/adsasadasd asda ada"
$postLink = str_replace(' ', '-', $postLink);   // Replace spaces with hyphens

?>
                                    <div class="m-recommended-slider__item glide__slide glide__slide--active" style="width: 393.333px; margin-right: 0px;">
                                        <article class="m-article-card  post tag-models tag-categories tag-fetishes tag-mobile-streaming tag-porn-stars">
                                            <div class="m-article-card__picture">
                                                <a href="<?=$postLink?>" class="m-article-card__picture-link" aria-hidden="true" tabindex="-1"></a>
                                                <img class="m-article-card__picture-background" src="/photosBlog/<?= $r['id']?>/<?= $r['MainImage'] ?>" loading="lazy" alt="">
                                                <a href="<?=$postLink?>" class="m-article-card__author js-tooltip" aria-label="Eva" data-tippy-content="Posted by <?=  ucfirst($r['Authors']) ?> ">
                                                    <div style="background-image: url(/photosBlog/<?= $r['id']?>/<?= $r['ImagePathAvatar'] ?>);"></div>
                                                </a>
                                            </div>
                                            <div class="m-article-card__info">
                                                <a href="<?=$postLink?>" class="m-article-card__tag"><?=  ucfirst($r['ContentType']) ?></a>
                                                <a href="<?=$postLink?>" class="m-article-card__info-link" aria-label="Types of models you will meet on <?=  ucfirst($r['ModelSites']) ?>">
                                                    <div>
                                                        <h2 class="m-article-card__title js-article-card-title " title="Types of models you will meet on  <?= ucfirst($r['ModelSites']) ?>" style="">
                                                        <?=  ucfirst($r['Title']) ?>
                                                        </h2>
                                                    </div>
                                                    <div class="m-article-card__timestamp">
                                                        <span><?=  ucfirst($formattedCreationDate) ?></span>
                                                        <span>•</span>
                                                        <span><?= rand(1,7)?> min wank</span>
                                                       
                                                        &nbsp;&nbsp;&nbsp;&nbsp; <span>•</span>&nbsp;&nbsp;&nbsp;
                                                        <span><?= $r['Views'] ?> Views</span>
                                                    </div>
                                                </a>
                                            </div>
                                        </article>
                                    </div>




                                    

      <? endforeach;?>


                                </div>
                            </div>
                            <div data-glide-el="controls" class="glide__arrows js-controls">
                                <button data-glide-dir="<" class="m-icon-button filled in-recommended-articles glide-prev" aria-label="Previous">
                                      <i class="fa fa-arrow-left" aria-hidden="true"></i>
                                </button>
                                <button data-glide-dir=">" class="m-icon-button filled in-recommended-articles glide-next" aria-label="Next">
                                        <i class="fa fa-arrow-right" aria-hidden="true"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </article>
</main>








<script defer="" src="/assets.<?= $theme ?>/js/manifest.js"></script>
<script defer="" src="/assets.<?= $theme ?>/js/home.js"></script>
<script defer="" src="/assets.<?= $theme ?>/js/post.js"></script>
<script defer="" src="/assets.<?= $theme ?>/js/vendor.js"></script>
