<style>
  @media (max-width: 479px) {
    .breadcrumb-container,
    .container-thing-v2,
    .container-thing .container-thing-v2 {
        margin-left: 10px!important;
        margin-right: 10px!important;
    }
}

@media(max-width: 479px) {
    .breadcrumb-container,.container-thing-v2,.container-thing.container-thing-v2 {
        margin-left: 10px;
        margin-right:  10px
    }
}

.item-grid {
    --auto-grid-min-size: 10rem;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(var(--auto-grid-min-size)))!important;
}
.icon-cam {
    background-image: url(/share/promote/icons/LIVE-SEX-CAM-SITES.svg);
}
.well{
    font-weight: 900;
}
.inline-icon {
    width: 24px;
    height: 24px;
}
.inline-icon {
    display: inline-block;
    vertical-align: middle;
    width: 32px;
    height: 32px;
    background-repeat: no-repeat;
}
.tagsList{
    display: inline-block;
}


.container-thing .description-box {
    padding: 0px!important;
    position: relative;
}
.text-grey:hover {
color:#a7a9a7;
text-decoration: none;
}
.sharetip-button:hover {
color:#a7a9a7;
text-decoration: none;
}


.preview-container {
    position: relative;
    overflow: hidden;
    border-radius: 15px; /* Smooth rounded corners */
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2), 0 15px 30px rgba(0, 0, 0, 0.1); /* Base shadow */
    transition: transform 0.4s ease, box-shadow 0.4s ease;
    max-width: 100%; /* Ensures it scales with its container */
    background: linear-gradient(135deg, #ffffff, #f1f3f6); /* Soft background gradient */
}

.preview-container img {
    display: block;
    width: 100%;
    height: auto;
    border-radius: 12px; /* Matches the container for seamless edges */
    transition: transform 0.4s ease, filter 0.4s ease; /* Smooth zoom and filter on hover */
    filter: brightness(0.9) contrast(1.1); /* Initial filter for clarity */
}

/* Hover effects for depth and glow */
.preview-container:hover {
    transform: scale(1.04) rotate(1deg); /* Gentle 3D tilt and zoom */
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3), 0 20px 40px rgba(0, 0, 0, 0.2); /* Enhanced shadow on hover */
}

.preview-container:hover img {
    transform: scale(1.1); /* Further zoom on the image */
    filter: brightness(1.1) saturate(1.2); /* Vibrant and clear effect on hover */
}

/* Glow effect */
.preview-container::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 15px;
    background: rgba(255, 255, 255, 0.4);
    box-shadow: 0 0 60px rgba(255, 255, 255, 0.3); /* Soft glow */
    opacity: 0;
    transition: opacity 0.4s ease;
    pointer-events: none;
}

.preview-container:hover::before {
    opacity: 1; /* Glow appears on hover */
}

/* Adding a subtle border effect */
.preview-container {
    border: 2px solid rgba(255, 255, 255, 0.1); /* Light border for a polished finish */
}


.url_link_image video {
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 1;
    transform: translate(-50%, -50%);
    object-fit: cover;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.url_link_image:hover video {
    transform: scale(1.05); /* Slight zoom effect on hover */
    opacity: 0.9; /* Slight fade for a subtle effect */
}

.container-thing .preview-container video {
    width: 100%;
    max-width: 100%;
    border-radius: 2px;
}
.preview-container video {
    display: block;
    width: 100%;
    height: auto;
    border-radius: 12px;
    transition: transform 0.4s ease, filter 0.4s ease;
    filter: brightness(0.9) contrast(1.1);
}

.container-thing .preview-container img {
  
  max-height: 320px;


}
.panel-paywall .panel-heading {

    text-align: center;
}



/*related*/
.related-models {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 15px;
    margin: 20px 0;
}

.related-model {
    position: relative;
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.model-link {
    display: block;
    position: relative;
    width: 100%;
    height: 100%;
}

.model-content {
    position: relative;
    width: 100%;
    height: 100%;
}

.model-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 0.3s ease;
}

.model-image.lazyloaded {
    opacity: 1;
}

/* Label styling */
.label-top-left, .label-bottom-right {
    position: absolute;
    color: white;
    font-size: 16px;
    font-weight: bold;
    padding: 5px;
    border-radius: 5px;
    background-color: rgba(0, 0, 0, 0.6);
}

.label-top-left {
    top: 10px;
    left: 10px;
}

.label-bottom-right {
    bottom: 10px;
    right: 10px;
}

/* Specific colors for the labels */
.label-top-left {
    background-color: rgba(255, 69, 0, 0.7); /* Orange (siteType) */
}

.label-bottom-right {
    background-color: rgba(0, 123, 255, 0.7); /* Blue (siteNames) */
}

/* Responsive adjustments */
@media (max-width: 768px) {
    .related-models {
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    }
}

@media (max-width: 480px) {
    .label-top-left, .label-bottom-right {
        font-size: 14px;
    }
}

.review-container {
            padding: 20px;
            margin: 20px auto;
          

            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
        }

/* Style for the Quote of the Day */
.quote-of-the-day {
    margin: 20px 0;
    font-family: 'Arial', sans-serif;
}

.quote-box {
    display: flex;
    align-items: flex-start;
    border-left: 3px solid #000;  /* 2-3px line */
    padding-left: 10px;  /* Adjust space between the line and text */
    margin-top: 10px;
}

.quote-mark {
    font-size: 40px; /* Large quotation mark */
    font-weight: bold;
    color: #333;  /* Color of the quote mark */
    margin-right: 10px; /* Space between quote mark and text */
}

.quote-text {
    font-size: 16px; /* Adjust the font size */
    line-height: 1.6;
    color: #555;  /* Text color */
    max-width: 600px; /* Optional, to control text width */
}

blockquote {
    position: relative;
    color: #707070;
    font-style: italic;
    padding: 0 0 0 15px;
    margin: 0 5px;
}
blockquote:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 4px;
    background-color: #ffa051;
    border-radius: 2px;
}
  .social_image_set{
    height: 18px;
    width: 18px;
  }    
  
  
  #social-links-container {
    padding: 10px;
}

#social-links-container h3 {
    text-align: center;
    font-size: 18px;
    margin-bottom: 10px;
    font-weight: bold;
}

.social-links {
    display: flex;
    gap: 15px; /* Space between each social icon */
    flex-wrap: wrap; /* Allow wrapping on smaller screens */
    justify-content: center;
}

.social-link a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 40px;  /* Set a standard width for icons */
    height: 40px; /* Set a standard height for icons */
    padding: 5px;
    transition: transform 0.3s ease; /* Smooth scale effect on hover */
    cursor: pointer;
}

.social-link a:hover {
    transform: scale(1.1); /* Slight zoom effect when hovering */
}


.social-link a:focus {
    outline: 2px solid #007bff; /* Focus ring for accessibility */
}

/* Optional: Add some space for small screens */
@media (max-width: 600px) {
    .social-links {
        flex-direction: column;
        align-items: center;
    }
}

</style>





<div id="content-yield-container">
    <div class="alert-container row">
    </div>

    <div class="container-thing container-thing-v2">

        <div class="item-grid mt10">
            <div class="column-user-interface item-grid-brick" style="">
                <div class="column-user-interface-inner-container">

                    <div class="panel panel-default mb0 panel-paywall">
                        <div class="panel-heading">
                            <span class="inline-icon icon-cam"></span>
                            Discover <?= isset($promot['siteType']) ? $promot['siteType'] : 'Unknown Site Type' ?> from <?= isset($promot['SiteOnwer']) ? $promot['SiteOnwer'] : 'Unknown Owner' ?>
                        </div>
                        <div class="panel-body">
                            <div class="tac bold mb10" style="font-size:20px;">
                                <?= isset($promot['title']) ? $promot['title'] : 'No Title Provided' ?>
                            </div>

                            <?php if (!empty($promot['postHighlights'])): ?>


<blockquote><p>"<?= $promot['postHighlights'] ?>"</p></blockquote>

<?php endif; ?>


                            <div class="description-box show-line-breaks">
                                <?= isset($promot['description']) ? $promot['description'] : 'No Description Available' ?>
                            </div>

                            <div class="description-box show-line-breaks">
                                <h3> Pros</h3>
                                <?= isset($promot['pros']) ? $promot['pros'] : 'No Pros Listed' ?>
                            </div>

                          






                            <div class="description-box show-line-breaks">
                                <h3> Cons</h3>
                                <?= isset($promot['cons']) ? $promot['cons'] : 'No Cons Listed' ?>
                            </div>

                            <div class="description-box show-line-breaks tagsList">
                                <h3>Tags</h3>
                                <?php
                                $tags = isset($promot['tags']) ? $promot['tags'] : '';
                                $tagArray = explode(',', $tags);

                                foreach ($tagArray as $tag) {
                                    $trimmedTag = trim($tag);
                                    if (!empty($trimmedTag)) {
                                        echo '<a class=" btn btn-sm btn-grey sharetip-button" href="' . $searchUrl . 'kw=' . $trimmedTag . '"><b>#' . $trimmedTag . '</b></a>';
                                    }
                                }
                                ?>
                            </div>

                            <div class="description-box show-line-breaks tagsList">
                                <h3>Keywords</h3>
                                <?php
                                $keywords = isset($promot['keywords']) ? $promot['keywords'] : '';
                                $keywordArray = explode(',', $keywords);

                                foreach ($keywordArray as $keyword) {
                                    $trimmedKeyword = trim($keyword);
                                    if (!empty($trimmedKeyword)) {
                                        echo '<a class=" btn btn-sm btn-grey sharetip-button" href="' . $searchUrl . 'kw=' . $trimmedKeyword . '"><b>#' . $trimmedKeyword . '</b></a>';
                                    }
                                }
                                ?>
                            </div>


                            <?php if (!empty($promot['nextUpdate'])): ?>
          <div class="description-box show-line-breaks" >
  <?= $promot['nextUpdate'] ?>
          </div>
<?endif;?>





                            <div style="display: flex; justify-content: center;">
                                <a href="/promotModels.php/_Review_<?= $promot['siteNames']?>/<?= isset($promot['SiteLink']) ? $promot['SiteLink'] : '#' ?>" class="upload-button btn btn-green text-description" 
                                   target="_blank" rel="noopener noreferrer" 
                                   aria-label="Check it Out -<?= isset($promot['siteNames']) ? $promot['siteNames'] : 'Unknown Site' ?> -  Opens in a new tab" 
                                   title="Check it Out the best live show">
                                    Check it Out
                                </a>
                            </div>
                        </div>

                        <div class="p10 text-right">
                            <a class="text-grey" target="_blank" rel="noopener noreferrer" 
                               aria-label="Best of  - <?= isset($promot['siteNames']) ? $promot['siteNames'] : 'Unknown Site' ?>" 
                               href="<?= isset($promot['SiteLink']) ? $promot['SiteLink'] : '#' ?>">Gift Membership</a>
                        </div>



                        <?php
// Get model ID from $promot (adjust accordingly)

// Query to get platform and social_id
$socialLinksQuery = "SELECT platform, social_id FROM model_social_links WHERE model_id = " . $promot['siteId'];

// Execute the query (assuming queryAssoc returns an associative array)
$socialLinks = \Avos\Database\queryAssoc($socialLinksQuery);

// Only display the social links container if there are social links for the model
if ($socialLinks) {
    echo '<div id="social-links-container">';
    echo '<h3>Follow ' . htmlspecialchars($promot['siteNames']) . ' on Social Media</h3>';

    echo '<div class="social-links">';
    foreach ($socialLinks as $socialLink) {
        $platform = $socialLink['platform'];
        $url_link_social = $socialLink['social_id'];

        // Display the platform only if the URL exists
        if (!empty($url_link_social)) {
            echo '<div class="social-link">';
            switch ($platform) {
                case 'instagram':
                    echo '<a href="https://instagram.com/' . htmlspecialchars($url_link_social) . '" target="_blank" rel="noopener noreferrer"><img class="social_image_set" src="/share/media_social_platform/instagram.svg" alt="Instagram" title="Instagram"> </a>';
                    break;
                case 'twitter':
                    echo '<a href="https://twitter.com/' . htmlspecialchars($url_link_social) . '" target="_blank" rel="noopener noreferrer"><img class="social_image_set" src="/share/media_social_platform/X.svg" alt="Twitter" title="Twitter"> </a>';
                    break;
                case 'facebook':
                    echo '<a href="https://facebook.com/' . htmlspecialchars($url_link_social)  . '" target="_blank" rel="noopener noreferrer"><img class="social_image_set" src="/share/media_social_platform/facebook.svg" alt="Facebook" title="Facebook"> </a>';
                    break;
                case 'youtube':
                    echo '<a href="https://youtube.com/' . htmlspecialchars($url_link_social)  . '" target="_blank" rel="noopener noreferrer"><img class="social_image_set" src="/share/media_social_platform/youtube.svg" alt="YouTube" title="YouTube"> </a>';
                    break;
                case 'tiktok':
                    echo '<a href="https://tiktok.com/@' . htmlspecialchars($url_link_social)  . '" target="_blank" rel="noopener noreferrer"><img class="social_image_set" src="/share/media_social_platform/Tiktok.svg" alt="TikTok" title="TikTok"> </a>';
                    break;
                case 'snapchat':
                    echo '<a href="https://www.snapchat.com/add/' . htmlspecialchars($url_link_social) . '" target="_blank" rel="noopener noreferrer"><img class="social_image_set" src="/share/media_social_platform/snapchat.svg" alt="Snapchat" title="Snapchat"> </a>';
                     break;

                case 'reddit':
                    echo '<a href="https://www.reddit.com/user/' . htmlspecialchars($url_link_social) . '" target="_blank" rel="noopener noreferrer"><img class="social_image_set" src="/share/media_social_platform/reddit.svg" alt="Reddit" title="Reddit"> </a>';
                    break; 

                // Add more platforms here if needed
            }
            echo '</div>';
        }
    }
    echo '</div>'; // End social-links
    echo '</div>'; // End social-links-container
}
?>








                    </div>

                </div>
            </div>

            <div class="column-preview-images item-grid-brick" style="">

                <div class="column-preview-images-inner-container">
                    <div class="preview-container">
                        <a href="/promotModels.php/_Review_<?= $promot['siteNames']?>/<?= isset($promot['SiteLink']) ? $promot['SiteLink'] : '#' ?>" class="upload-button btn btn-green full-width">
                            
                            <?php
                            $file_extension = pathinfo(isset($promot['SiteImage']) ? $promot['SiteImage'] : '', PATHINFO_EXTENSION);
                            if (in_array($file_extension, ['jpg', 'jpeg', 'png', 'gif', 'webp'])): ?>
                                <img class="lazyloaded" src="<?= isset($promot['SiteImage']) ? $promot['SiteImage'] : '' ?>" alt="Site Image">
                            <?php elseif (in_array($file_extension, ['webm', 'mp4'])): ?>
                                <video class="lazyloaded" autoplay muted loop>
                                    <source src="<?= isset($promot['SiteImage']) ? $promot['SiteImage'] : '' ?>" type="video/<?= $file_extension ?>">
                                    Your browser does not support the video tag.
                                </video>
                            <?php endif; ?>
                            
                        </a>
                    </div>

                    <?php
                    $webcamsModels = \Avos\Database\queryAssoc("SELECT nickname, status, site, updatedOn FROM webcams");
                    $modelNicknames = array_column($webcamsModels, 'nickname');

                    if (in_array($promot['siteNames'], $modelNicknames)) {
                        foreach ($webcamsModels as $model) {
                            $modelSite = \Avos\Scaffold\expandSiteName($model['site']);

                            if ($model['nickname'] === $promot['siteNames'] && $modelSite === $promot['SiteOnwer']) {
                                ?>
                                <h2>Feel the Energy of <?= isset($model['nickname']) ? $model['nickname'] : 'Unknown Model' ?> Live Online on <?= isset($modelSite) ? $modelSite : 'Unknown Site' ?>!</h2>

                                <div class="embed rwd-media">
                                    <?php include('webcamsChatEmbed.php'); ?>
                                    <div style="position: absolute; top: 0; right: 0;">
                                        <a onclick="multiEmbedClose(this)">
                                            <img height="16" src="/assets.theme3/images/close-button-32.png">
                                        </a>
                                    </div>
                                </div>
                           

            <?php
            break; // Exit the loop once a match is found and displayed
        }
    }
} else {

    // Check the siteType value
    switch ($promot['siteType']) {
        case 'Featured Performers':
            ?>
            <center><h3>Discover more about your favorite webcam super models</h3></center>
            <p>Explore our spicy collection of cam models and read our short reviews on their live shows and overall presence:</p>
            <div class="rwd-media" style="overflow:hidden;">
                <iframe 
                    src="https://chaturbate.com/in/?tour=gLDS&campaign=<?= $_AVOS['config']['webcams']['Chaturbate']['affiliate'] ?>&track=Promote-<?= $sitename ?>&signup_notice=1&disable_sound=1&mobileRedirect=never" 
                    height="100%" width="100%" frameborder="0" class="code" scrolling="no" 
                    style="transform-origin: 0 0;">
                </iframe>
            </div>
            <?php
            break;
        
        case 'Affiliate Websites':
            ?>
            <center><h3>Explore & discover the world of adult entertainment websites</h3></center>
            <p>Read our qualified and tested reviews on the most popular adult platforms such as affiliate, cams, traffic, AI and many more:</p>
            <div class="rwd-media" style="overflow:hidden;">
                <iframe 
                    src="https://chaturbate.com/in/?tour=gLDS&campaign=<?= $_AVOS['config']['webcams']['Chaturbate']['affiliate'] ?>&track=Affiliate-<?= $sitename ?>&signup_notice=1&disable_sound=1&mobileRedirect=never" 
                    height="100%" width="100%" frameborder="0" class="code" scrolling="no" 
                    style="transform-origin: 0 0;">
                </iframe>
            </div>
            <?php
            break;

        case 'Non-Nude Content':
            ?>
            <center><h3>Enjoy our free erotica content</h3></center>
            <p>Discover free erotica, non-nude content and premium shows:</p>
            <div class="rwd-media" style="overflow:hidden;">
                <iframe 
                    src="https://chaturbate.com/in/?tour=gLDS&campaign=<?= $_AVOS['config']['webcams']['Chaturbate']['affiliate'] ?>&track=NonNude-<?= $sitename ?>&signup_notice=1&disable_sound=1&mobileRedirect=never" 
                    height="100%" width="100%" frameborder="0" class="code" scrolling="no" 
                    style="transform-origin: 0 0;">
                </iframe>
            </div>
            <?php
            break;

        case 'Exclusive Events':
            ?>
            <center><h3>Exclusive events - coverage and reviews</h3></center>
            <p>Read our reviews and overall coverage of exclusive events. Disover business oportunities, newcommers and hot new deals:</p>
            <div class="rwd-media" style="overflow:hidden;">
                <iframe 
                    src="https://chaturbate.com/in/?tour=gLDS&campaign=<?= $_AVOS['config']['webcams']['Chaturbate']['affiliate'] ?>&track=Exclusive-<?= $sitename ?>&signup_notice=1&disable_sound=1&mobileRedirect=never" 
                    height="100%" width="100%" frameborder="0" class="code" scrolling="no" 
                    style="transform-origin: 0 0;">
                </iframe>
            </div>
            <?php
            break;

        case 'Adult Entertainment':
            ?>
            <center><h3>Enjoy fresh adult entertainment shows</h3></center>
            <p>Adult entertainment is here. Watch shows, discover and stay excited:</p>
            <div class="rwd-media" style="overflow:hidden;">
                <iframe 
                    src="https://chaturbate.com/in/?tour=gLDS&campaign=<?= $_AVOS['config']['webcams']['Chaturbate']['affiliate'] ?>&track=Adult-<?= $sitename ?>&signup_notice=1&disable_sound=1&mobileRedirect=never" 
                    height="100%" width="100%" frameborder="0" class="code" scrolling="no" 
                    style="transform-origin: 0 0;">
                </iframe>
            </div>
            <?php
            break;

        case 'Trending Videos':
            ?>
            <center><h3>Explore trending videos 🎬</h3></center>
            <p>Don't miss the hottest trending videos. Discover new stars and watch them rise:</p>
            <div class="rwd-media" style="overflow:hidden;">
                <iframe 
                    src="https://chaturbate.com/in/?tour=gLDS&campaign=<?= $_AVOS['config']['webcams']['Chaturbate']['affiliate'] ?>&track=Trending-<?= $sitename ?>&signup_notice=1&disable_sound=1&mobileRedirect=never" 
                    height="100%" width="100%" frameborder="0" class="code" scrolling="no" 
                    style="transform-origin: 0 0;">
                </iframe>
            </div>
            <?php
            break;

        case 'Top Cam Sites':
            ?>
            <center><h3>Top cam sites</h3></center>
            <p>Read our thoughts on the top cam sites and how to get the most bang for your buck:</p>
            <div class="rwd-media" style="overflow:hidden;">
                <iframe 
                    src="https://chaturbate.com/in/?tour=gLDS&campaign=<?= $_AVOS['config']['webcams']['Chaturbate']['affiliate'] ?>&track=TopCamSites-<?= $sitename ?>&signup_notice=1&disable_sound=1&mobileRedirect=never" 
                    height="100%" width="100%" frameborder="0" class="code" scrolling="no" 
                    style="transform-origin: 0 0;">
                </iframe>
            </div>
            <?php
            break;

        case 'Premium Articles':
            ?>
            <center><h3>Exclusive premium articles</h3></center>
            <p>Read our exclusive premium articles where we expand on all adult and business related topics in the industry:</p>
            <div class="rwd-media" style="overflow:hidden;">
                <iframe 
                    src="https://chaturbate.com/in/?tour=gLDS&campaign=<?= $_AVOS['config']['webcams']['Chaturbate']['affiliate'] ?>&track=PremiumArticles-<?= $sitename ?>&signup_notice=1&disable_sound=1&mobileRedirect=never" 
                    height="100%" width="100%" frameborder="0" class="code" scrolling="no" 
                    style="transform-origin: 0 0;">
                </iframe>
            </div>
            <?php
            break;

        case 'Interactive Shows':
            ?>
            <center><h3>Interactive live shows</h3></center>
            <p>Don't just sit there and watch, get involved in wild interactive live shows:</p>
            <div class="rwd-media" style="overflow:hidden;">
                <iframe 
                    src="https://chaturbate.com/in/?tour=gLDS&campaign=<?= $_AVOS['config']['webcams']['Chaturbate']['affiliate'] ?>&track=InteractiveShows-<?= $sitename ?>&signup_notice=1&disable_sound=1&mobileRedirect=never" 
                    height="100%" width="100%" frameborder="0" class="code" scrolling="no" 
                    style="transform-origin: 0 0;">
                </iframe>
            </div>
            <?php
            break;

        case 'Recorded Streams':
            ?>
            <center><h3>Recorded streams</h3></center>
            <p>Missed a wild show? Catch up on recorded streams from your favorite cam girls</p>
            
            <?php
            break;

        default:
            ?>
            <center><h3>Whoopsie daisy! Something got tangled up. Try hitting refresh – it’s probably fixed itself by now!</h3></center>
            <?php
            break;
    }





### END OF MAPPING 


}
?>



      </div>

    </div>

  </div>
 





  <div class="description-box show-line-breaks" style="font-size:17px">
  <?= $promot['sitesDescription'] ?>
          </div>



  
</div>

<div class="highlight-area things-section">
  
  <div class="well text-things-index xs-undo-side-padding mt5">
  <div class="row mt5">
    <div class="col-xs-12 col-sm-7 text-truncate">
      <a class="text-description" href="<?= $promot['SiteLink'] ?>">Enjoy <?= $promot['siteNames'] ?> ♥</a>
     
    </div>
    
  </div>
<div style="clear:both;"></div>
</div>


</div>

      </div>







<?php
function getRelatedModels($tags, $currentModelId, $limit = 8) {
    global $_AVOS;

    // Ensure tags are trimmed to remove any extra spaces
    $tags = array_map('trim', $tags);

    if (empty($tags)) {
        return [];
    }

    $conditions = [];
    foreach ($tags as $tag) {
        $conditions[] = "FIND_IN_SET(" . \Avos\Database\quote($tag) . ", tags) > 0";
    }

    \Avos\Database\setCacheTime($_AVOS['config']['promote']['cacheExpiry']); // Set cache expiry if needed

    // Prepare the query to get related models, excluding the current model and limiting to 8 results
    $conditionString = implode(" OR ", $conditions);
    $query = "
        SELECT * FROM promote 
        WHERE ($conditionString) 
        AND publishedOn IS NOT NULL 
        AND siteId != " . (int)$currentModelId . " 
        LIMIT $limit
    ";

    // Execute the query
    $relatedModels = \Avos\Database\queryAssoc($query);

    return $relatedModels;
    
}

// Fetch the current model's tags (ensure the model exists)
$currentModelTags = !empty($promot['tags']) ? explode(',', $promot['tags']) : [];
$currentModelId = isset($promot['siteId']) ? $promot['siteId'] : 0; // Ensure we have the current model's ID

// Fetch related models based on the current model's tags
$relatedModels = getRelatedModels($currentModelTags, $currentModelId);

?>




<div class="review-container">
  <h1>Discover the Hottest Webcam Girls and Performers Online</h1>
  <p>Welcome to your ultimate destination for <span>top webcam girls</span> and live performers. If you're searching for <span>elite models</span> who deliver unforgettable live cam shows, you're in the right place. Our platform showcases an exclusive collection of the most talented and in-demand webcam girls, each offering exciting, personalized performances designed to fulfill your every desire.</p>

  <p>We proudly feature only the <span>best webcam models</span>—these are the <span>top performers</span> who have captured the hearts of audiences worldwide with their irresistible charm, seductive performances, and unmatched skill. Whether you're in the mood for <span>live cam shows</span>, <span>private chats</span>, or simply to enjoy some stunning eye candy, our platform offers exclusive access to these mesmerizing women and their enticing content.</p>

  <p>Each model is a professional who brings years of experience to her live performances, ensuring every interaction is exciting and enjoyable. From <span>sexy, high-energy live shows</span> to intimate, private one-on-one sessions, our webcam girls offer a variety of experiences that cater to every taste and fantasy.</p>

  <p>Whether you're here for spontaneous fun or seeking a regular model to connect with, you'll find the perfect match for your desires. These models are the heart of our platform, and we take pride in offering only the <span>best webcam girls</span> for your ultimate cam experience. Explore, discover, and indulge in the <span>top cam shows</span> online!</p>

  <p>Join us today, find your favorite webcam girl, and enjoy an exclusive live cam experience like no other. Explore their profiles, watch their live shows, and be part of the <span>best cam experience</span> on the web!</p>
</div>





<?php if (!empty($relatedModels)): ?>

    <?php 
        // Collect all tags from the related models
        $allTags = [];
        foreach ($relatedModels as $related) {
            $tags = explode(',', $related['tags']); // Assuming tags are stored as comma-separated values
            $allTags = array_merge($allTags, $tags);
        }
        
        // Remove duplicates and sort the tags
        $uniqueTags = array_unique($allTags);
        sort($uniqueTags);
        ?>

    <h2>Explore Our Best Model Recommendations</h2>
    <div class="related-models">
        <?php foreach ($relatedModels as $related): ?>
            <div class="related-model">
                <a href="<?= encodeUrl('webcamsPartenersDescription', $related); ?>" class="model-link">
                    <div class="model-content">
                        <?php
                        // Get the file extension of the site image (or video)
                        $file_extension = pathinfo($related['SiteImage'], PATHINFO_EXTENSION);
                        ?>
                        
                        <!-- Image or Video -->
                        <?php if (in_array($file_extension, ['jpg', 'jpeg', 'png', 'gif', 'webp'])): ?>
                            <img class="model-image lazyloaded" src="<?= $related['SiteImage'] ?>" alt="Site Image">
                        <?php elseif (in_array($file_extension, ['webm', 'mp4'])): ?>
                            <video class="model-image lazyloaded" autoplay muted loop>
                                <source src="<?= $related['SiteImage'] ?>" type="video/<?= $file_extension ?>">
                                Your browser does not support the video tag.
                            </video>
                        <?php endif; ?>
                        
                        <!-- Labels -->
                        <div class="label-top-left"><?= $related['siteType'] ?></div>
                        <div class="label-bottom-right"><?= $related['siteNames'] ?></div>
                    </div>
                </a>
            </div>
            
        <?php endforeach; ?>
    </div>
    <div class="tag-cloud">
            <h3>Explore Tags for Top Models</h3>
            <div class="tags">
                <?php foreach ($uniqueTags as $tag): ?>
                    <span ><a class="tabsItems " href="<?= $searchUrl ?>kw=<?= urlencode($tag) ?>"><?= htmlspecialchars($tag) ?></a></span>

                <?php endforeach; ?>
            </div>
        </div>
    </div>
<?php else: ?>
    <p>No related models found...</p>
<?php endif; ?>

<style>



/* Tag Cloud Styles */
.tag-cloud {
    padding: 20px;
    background-color: #f0f0f0;
    border-radius: 10px;
    margin-top: 50px;
}

.tag-cloud h3 {
    font-size: 24px;
    color: #333;
    text-align: center;
    margin-bottom: 20px;
}

.tags {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
}





</style>